!******************************************************************************!
!                                                                              !
!    ctparameter130.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter130.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter130
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter130()
  dZtL_QED2 = (2d0*Ten268*coupl(nGC_2)**2d0 + Ten269*(2d0*coupl(nGC_39)**2d0 + &
              coupl(nGC_78)*coupl(nGC_80)) + Ten270*(2d0*coupl(nGC_23)**2d0 +  &
              coupl(nGC_53)**2d0) - Ten271*coupl(nGC_79)**2d0 + 2d0*Ten272*    &
              coupl(nGC_2)**2d0 + Ten273*(2d0*coupl(nGC_39)**2d0 + coupl(nGC_78&
              )*coupl(nGC_80)) + Ten274*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_53 &
              )**2d0) + 2d0*Ten276*cMT*coupl(nGC_79)**2d0*rMT + 4d0*Ten277*    &
              coupl(nGC_2)**2d0*rMT*(-2d0*cMT + rMT) + Ten278*rMT*(-8d0*cMT*   &
              coupl(nGC_35)*coupl(nGC_39) + cMT*coupl(nGC_78)**2d0 + cMT*coupl(&
              nGC_80)**2d0 + 2d0*coupl(nGC_35)**2d0*rMT + 2d0*coupl(nGC_39)**  &
              2d0*rMT + 2d0*coupl(nGC_78)*coupl(nGC_80)*rMT) + Ten279*rMT*(2d0*&
              cMB*coupl(nGC_53)*coupl(nGC_77) + 2d0*coupl(nGC_23)**2d0*rMT +   &
              coupl(nGC_53)**2d0*rMT + coupl(nGC_77)**2d0*rMT) - 2d0*Ten280*   &
              coupl(nGC_79)**2d0*rMT**2d0 + 4d0*Ten281*coupl(nGC_2)**2d0*rMT** &
              2d0 + 2d0*Ten282*rMT**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**  &
              2d0 + coupl(nGC_78)*coupl(nGC_80)) + Ten283*rMT**2d0*(2d0*coupl( &
              nGC_23)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_77)**2d0) - coupl( &
              nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(nGC_39)**2d0)/(16d0*pi**&
              2d0)
end subroutine set_ctparameter130
end module ctparameter130
