!******************************************************************************!
!                                                                              !
!    ctparameter93.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter93.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter93
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter93()
  if (dZuR_QED2_scheme .eq. 2) then
    dZuR_QED2 = (Ten102*coupl(nGC_2)**2d0 + Ten160*coupl(nGC_85)**2d0 + Ten161*&
                coupl(nGC_85)**2d0 - Ten162*(2d0*coupl(nGC_35)**2d0 + coupl(   &
                nGC_86)*coupl(nGC_88)) - Ten163*coupl(nGC_87)**2d0 - coupl(    &
                nGC_35)**2d0)/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter93
end module ctparameter93
