!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(800)%branch(0:0))
      call av(800, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(801)%branch(0:0))
      call av(801, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_164, nGC_19, nGC_19/))

      allocate(vertices(802)%branch(0:0))
      call av(802, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_51/))

      allocate(vertices(803)%branch(0:0))
      call av(803, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_178/))

      allocate(vertices(804)%branch(0:0))
      call av(804, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(805)%branch(0:0))
      call av(805, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(806)%branch(0:0))
      call av(806, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_160/))

      allocate(vertices(807)%branch(0:0))
      call av(807, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_166/))

      allocate(vertices(808)%branch(0:0))
      call av(808, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(809)%branch(0:0))
      call av(809, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_23/))

      allocate(vertices(810)%branch(0:0))
      call av(810, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(811)%branch(0:0))
      call av(811, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_18, nGC_18, nGC_182/))

      allocate(vertices(812)%branch(0:0))
      call av(812, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(813)%branch(0:0))
      call av(813, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(814)%branch(0:0))
      call av(814, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(815)%branch(0:0))
      call av(815, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(816)%branch(0:0))
      call av(816, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_26/))

      allocate(vertices(817)%branch(0:0))
      call av(817, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(818)%branch(0:0))
      call av(818, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_43/))

      allocate(vertices(819)%branch(0:0))
      call av(819, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_32/))

      allocate(vertices(820)%branch(0:0))
      call av(820, 0, 20, 1, 0, VFFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(821)%branch(0:0))
      call av(821, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_85, nGC_61/))

      allocate(vertices(822)%branch(0:0))
      call av(822, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_53, nGC_77/))

      allocate(vertices(823)%branch(0:0))
      call av(823, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(824)%branch(0:0))
      call av(824, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_180/))

      allocate(vertices(825)%branch(0:0))
      call av(825, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(826)%branch(0:1))
      call av(826, 0, 11, 2, 0, FFaV0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(826, 1, 12, 3, 0, FFaV0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(827)%branch(0:0))
      call av(827, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_160/))

      allocate(vertices(828)%branch(0:0))
      call av(828, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(829)%branch(0:0))
      call av(829, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_47/))

      allocate(vertices(830)%branch(0:0))
      call av(830, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_176/))

      allocate(vertices(831)%branch(0:0))
      call av(831, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_67, nGC_67/))

      allocate(vertices(832)%branch(0:0))
      call av(832, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_30/))

      allocate(vertices(833)%branch(0:0))
      call av(833, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(834)%branch(0:0))
      call av(834, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(835)%branch(0:0))
      call av(835, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(836)%branch(0:0))
      call av(836, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(837)%branch(0:0))
      call av(837, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_50/))

      allocate(vertices(838)%branch(0:0))
      call av(838, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(839)%branch(0:0))
      call av(839, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_22/))

      allocate(vertices(840)%branch(0:0))
      call av(840, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(841)%branch(0:0))
      call av(841, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_162/))

      allocate(vertices(842)%branch(0:0))
      call av(842, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(843)%branch(0:0))
      call av(843, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(844)%branch(0:0))
      call av(844, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(845)%branch(0:0))
      call av(845, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(846)%branch(0:0))
      call av(846, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(847)%branch(0:0))
      call av(847, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(848)%branch(0:0))
      call av(848, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_33/))

      allocate(vertices(849)%branch(0:0))
      call av(849, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(850)%branch(0:0))
      call av(850, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(851)%branch(0:0))
      call av(851, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(852)%branch(0:0))
      call av(852, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(853)%branch(0:0))
      call av(853, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_20/))

      allocate(vertices(854)%branch(0:0))
      call av(854, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_50/))

      allocate(vertices(855)%branch(0:0))
      call av(855, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_87, nGC_87/))

      allocate(vertices(856)%branch(0:1))
      call av(856, 0, 11, 2, 0, FFaV0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(856, 1, 12, 3, 0, FFaV0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(857)%branch(0:0))
      call av(857, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_41/))

      allocate(vertices(858)%branch(0:0))
      call av(858, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(859)%branch(0:0))
      call av(859, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(860)%branch(0:0))
      call av(860, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_160/))

      allocate(vertices(861)%branch(0:0))
      call av(861, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(862)%branch(0:0))
      call av(862, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(863)%branch(0:0))
      call av(863, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(864)%branch(0:0))
      call av(864, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_81/))

      allocate(vertices(865)%branch(0:0))
      call av(865, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(866)%branch(0:0))
      call av(866, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(867)%branch(0:0))
      call av(867, 0, 10, 1, 0, FFaS2, (/0, 1/), (/nGC_79, nGC_79/))

      allocate(vertices(868)%branch(0:0))
      call av(868, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(869)%branch(0:0))
      call av(869, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_42/))

      allocate(vertices(870)%branch(0:0))
      call av(870, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_45/))

      allocate(vertices(871)%branch(0:0))
      call av(871, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_50/))

      allocate(vertices(872)%branch(0:0))
      call av(872, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(873)%branch(0:0))
      call av(873, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_30/))

      allocate(vertices(874)%branch(0:0))
      call av(874, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_170/))

      allocate(vertices(875)%branch(0:0))
      call av(875, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_170/))

      allocate(vertices(876)%branch(0:0))
      call av(876, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_172, nGC_172, nGC_29/))

      allocate(vertices(877)%branch(0:0))
      call av(877, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_73, nGC_57/))

      allocate(vertices(878)%branch(0:0))
      call av(878, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(879)%branch(0:0))
      call av(879, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(880)%branch(0:0))
      call av(880, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_41/))

      allocate(vertices(881)%branch(0:0))
      call av(881, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(882)%branch(0:0))
      call av(882, 0, 8, 1, 0, FSFa0, (/0, 1/), (/nGC_67, nGC_67/))

      allocate(vertices(883)%branch(0:0))
      call av(883, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(884)%branch(0:0))
      call av(884, 0, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_65/))

      allocate(vertices(885)%branch(0:0))
      call av(885, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_30/))

      allocate(vertices(886)%branch(0:0))
      call av(886, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(887)%branch(0:0))
      call av(887, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(888)%branch(0:0))
      call av(888, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_54, nGC_56/))

      allocate(vertices(889)%branch(0:0))
      call av(889, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_4/))

      allocate(vertices(890)%branch(0:0))
      call av(890, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(891)%branch(0:0))
      call av(891, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(892)%branch(0:0))
      call av(892, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(893)%branch(0:0))
      call av(893, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_83, nGC_83/))

      allocate(vertices(894)%branch(0:0))
      call av(894, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(895)%branch(0:0))
      call av(895, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_172, nGC_172/))

      allocate(vertices(896)%branch(0:1))
      call av(896, 0, 30, 2, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(896, 1, 31, 3, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(897)%branch(0:0))
      call av(897, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(898)%branch(0:0))
      call av(898, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_16/))

      allocate(vertices(899)%branch(0:0))
      call av(899, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(900)%branch(0:0))
      call av(900, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(901)%branch(0:0))
      call av(901, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_158, nGC_5, nGC_5/))

      allocate(vertices(902)%branch(0:0))
      call av(902, 0, 10, 1, 0, FFaS2, (/0, 1/), (/nGC_63, nGC_63/))

      allocate(vertices(903)%branch(0:0))
      call av(903, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(904)%branch(0:0))
      call av(904, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_22/))

      allocate(vertices(905)%branch(0:0))
      call av(905, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_23/))

      allocate(vertices(906)%branch(0:0))
      call av(906, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_51/))

      allocate(vertices(907)%branch(0:0))
      call av(907, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_42/))

      allocate(vertices(908)%branch(0:0))
      call av(908, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(909)%branch(0:0))
      call av(909, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(910)%branch(0:0))
      call av(910, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(911)%branch(0:0))
      call av(911, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(912)%branch(0:1))
      call av(912, 0, 30, 2, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(912, 1, 31, 3, 0, VFaF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(913)%branch(0:0))
      call av(913, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_23/))

      allocate(vertices(914)%branch(0:0))
      call av(914, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(915)%branch(0:0))
      call av(915, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(916)%branch(0:0))
      call av(916, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_41/))

      allocate(vertices(917)%branch(0:0))
      call av(917, 0, 19, 1, 0, FaSF1, (/0, 1/), (/nGC_79, nGC_79/))

      allocate(vertices(918)%branch(0:0))
      call av(918, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(919)%branch(0:0))
      call av(919, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_59, nGC_59/))

      allocate(vertices(920)%branch(0:0))
      call av(920, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(921)%branch(0:0))
      call av(921, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(922)%branch(0:0))
      call av(922, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_158, nGC_5/))

      allocate(vertices(923)%branch(0:0))
      call av(923, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_176/))

      allocate(vertices(924)%branch(0:0))
      call av(924, 0, 8, 1, 0, FaSF1, (/0, 1/), (/nGC_66, nGC_68/))

      allocate(vertices(925)%branch(0:0))
      call av(925, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(926)%branch(0:0))
      call av(926, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(927)%branch(0:1))
      call av(927, 0, 27, 3, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(927, 1, 26, 2, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(928)%branch(0:0))
      call av(928, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(929)%branch(0:0))
      call av(929, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_63, nGC_63/))

      allocate(vertices(930)%branch(0:0))
      call av(930, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_172, nGC_172, nGC_29/))

      allocate(vertices(931)%branch(0:0))
      call av(931, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_174/))

      allocate(vertices(932)%branch(0:0))
      call av(932, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_60, nGC_58/))

      allocate(vertices(933)%branch(0:0))
      call av(933, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(934)%branch(0:0))
      call av(934, 0, 10, 1, 0, FFaS2, (/0, 1/), (/nGC_75, nGC_75/))

      allocate(vertices(935)%branch(0:0))
      call av(935, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_182, nGC_18, nGC_18/))

      allocate(vertices(936)%branch(0:0))
      call av(936, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_170/))

      allocate(vertices(937)%branch(0:0))
      call av(937, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(938)%branch(0:0))
      call av(938, 0, 18, 1, 0, FaFS2, (/0, 1/), (/nGC_55, nGC_55/))

      allocate(vertices(939)%branch(0:0))
      call av(939, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(940)%branch(0:0))
      call av(940, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_158, nGC_5, nGC_5/))

      allocate(vertices(941)%branch(0:0))
      call av(941, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_65/))

      allocate(vertices(942)%branch(0:0))
      call av(942, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_57, nGC_73/))

      allocate(vertices(943)%branch(0:0))
      call av(943, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_172, nGC_172/))

      allocate(vertices(944)%branch(0:0))
      call av(944, 0, 8, 1, 0, SFFa1, (/0, 1/), (/nGC_81/))

      allocate(vertices(945)%branch(0:0))
      call av(945, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(946)%branch(0:0))
      call av(946, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(947)%branch(0:0))
      call av(947, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(948)%branch(0:0))
      call av(948, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_19, nGC_164, nGC_19/))

      allocate(vertices(949)%branch(0:1))
      call av(949, 0, 40, 4, 0, VUaU0, (/1, 0/), (/nGC_168/))

      call av(949, 1, 41, 5, 0, VUaU0, (/1, 0/), (/nGC_168/))

      allocate(vertices(950)%branch(0:0))
      call av(950, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_42/))

      allocate(vertices(951)%branch(0:0))
      call av(951, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_33/))

      allocate(vertices(952)%branch(0:0))
      call av(952, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_81/))

      allocate(vertices(953)%branch(0:0))
      call av(953, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(954)%branch(0:0))
      call av(954, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(955)%branch(0:0))
      call av(955, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(956)%branch(0:0))
      call av(956, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(957)%branch(0:0))
      call av(957, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_51/))

      allocate(vertices(958)%branch(0:0))
      call av(958, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(959)%branch(0:0))
      call av(959, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_55, nGC_55/))

      allocate(vertices(960)%branch(0:0))
      call av(960, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(961)%branch(0:0))
      call av(961, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_3/))

      allocate(vertices(962)%branch(0:0))
      call av(962, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(963)%branch(0:0))
      call av(963, 0, 18, 1, 0, FaFS2, (/0, 1/), (/nGC_77, nGC_53/))

      allocate(vertices(964)%branch(0:0))
      call av(964, 0, 19, 1, 0, FaSF1, (/0, 1/), (/nGC_60, nGC_58/))

      allocate(vertices(965)%branch(0:0))
      call av(965, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_44/))

      allocate(vertices(966)%branch(0:0))
      call av(966, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_32/))

      allocate(vertices(967)%branch(0:0))
      call av(967, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_178/))

      allocate(vertices(968)%branch(0:0))
      call av(968, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(969)%branch(0:0))
      call av(969, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_46/))

      allocate(vertices(970)%branch(0:0))
      call av(970, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(971)%branch(0:0))
      call av(971, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_51/))

      allocate(vertices(972)%branch(0:0))
      call av(972, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_170/))

      allocate(vertices(973)%branch(0:0))
      call av(973, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_48/))

      allocate(vertices(974)%branch(0:0))
      call av(974, 0, 8, 1, 0, FFaS1, (/0, 1/), (/nGC_69/))

      allocate(vertices(975)%branch(0:0))
      call av(975, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_162/))

      allocate(vertices(976)%branch(0:0))
      call av(976, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_51/))

      allocate(vertices(977)%branch(0:0))
      call av(977, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_172, nGC_172/))

      allocate(vertices(978)%branch(0:0))
      call av(978, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_80, nGC_78/))

      allocate(vertices(979)%branch(0:0))
      call av(979, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(980)%branch(0:0))
      call av(980, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_166/))

      allocate(vertices(981)%branch(0:0))
      call av(981, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_44/))

      allocate(vertices(982)%branch(0:0))
      call av(982, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_21/))

      allocate(vertices(983)%branch(0:0))
      call av(983, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(984)%branch(0:0))
      call av(984, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(985)%branch(0:0))
      call av(985, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_62, nGC_64/))

      allocate(vertices(986)%branch(0:0))
      call av(986, 0, 8, 1, 0, SFaF1, (/0, 1/), (/nGC_81/))

      allocate(vertices(987)%branch(0:0))
      call av(987, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(988)%branch(0:0))
      call av(988, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(989)%branch(0:0))
      call av(989, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_33/))

      allocate(vertices(990)%branch(0:0))
      call av(990, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_31/))

      allocate(vertices(991)%branch(0:0))
      call av(991, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(992)%branch(0:0))
      call av(992, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(993)%branch(0:0))
      call av(993, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(994)%branch(0:0))
      call av(994, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(995)%branch(0:0))
      call av(995, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_66, nGC_68/))

      allocate(vertices(996)%branch(0:0))
      call av(996, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(997)%branch(0:0))
      call av(997, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(998)%branch(0:0))
      call av(998, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_170/))

      allocate(vertices(999)%branch(0:0))
      call av(999, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(1000)%branch(0:1))
      call av(1000, 0, 22, 2, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1000, 1, 23, 3, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1001)%branch(0:0))
      call av(1001, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_23/))

      allocate(vertices(1002)%branch(0:0))
      call av(1002, 0, 19, 1, 0, FaSF1, (/0, 1/), (/nGC_54, nGC_56/))

      allocate(vertices(1003)%branch(0:0))
      call av(1003, 0, 8, 1, 0, FFaS2, (/0, 1/), (/nGC_71, nGC_71/))

      allocate(vertices(1004)%branch(0:0))
      call av(1004, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1005)%branch(0:0))
      call av(1005, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_42/))

      allocate(vertices(1006)%branch(0:0))
      call av(1006, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(1007)%branch(0:0))
      call av(1007, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1008)%branch(0:0))
      call av(1008, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(1009)%branch(0:0))
      call av(1009, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(1010)%branch(0:0))
      call av(1010, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(1011)%branch(0:1))
      call av(1011, 0, 22, 2, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1011, 1, 23, 3, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1012)%branch(0:0))
      call av(1012, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_41/))

      allocate(vertices(1013)%branch(0:0))
      call av(1013, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1014)%branch(0:0))
      call av(1014, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(1015)%branch(0:0))
      call av(1015, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1016)%branch(0:0))
      call av(1016, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_23/))

      allocate(vertices(1017)%branch(0:0))
      call av(1017, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1018)%branch(0:0))
      call av(1018, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_57, nGC_73/))

      allocate(vertices(1019)%branch(0:0))
      call av(1019, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1020)%branch(0:0))
      call av(1020, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_23/))

      allocate(vertices(1021)%branch(0:0))
      call av(1021, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_70, nGC_72/))

      allocate(vertices(1022)%branch(0:0))
      call av(1022, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1023)%branch(0:0))
      call av(1023, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_160/))

      allocate(vertices(1024)%branch(0:0))
      call av(1024, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_31/))

      allocate(vertices(1025)%branch(0:0))
      call av(1025, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(1026)%branch(0:0))
      call av(1026, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1027)%branch(0:0))
      call av(1027, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(1028)%branch(0:0))
      call av(1028, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_81/))

      allocate(vertices(1029)%branch(0:0))
      call av(1029, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(1030)%branch(0:0))
      call av(1030, 0, 10, 1, 0, FFaS2, (/0, 1/), (/nGC_60, nGC_58/))

      allocate(vertices(1031)%branch(0:0))
      call av(1031, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1032)%branch(0:0))
      call av(1032, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1033)%branch(0:0))
      call av(1033, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1034)%branch(0:1))
      call av(1034, 0, 34, 4, 0, UVUa0, (/1, 0/), (/nGC_168/))

      call av(1034, 1, 35, 5, 0, UVUa0, (/1, 0/), (/nGC_168/))

      allocate(vertices(1035)%branch(0:0))
      call av(1035, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_44/))

      allocate(vertices(1036)%branch(0:0))
      call av(1036, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_69/))

      allocate(vertices(1037)%branch(0:0))
      call av(1037, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(1038)%branch(0:0))
      call av(1038, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_61, nGC_85/))

      allocate(vertices(1039)%branch(0:0))
      call av(1039, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(1040)%branch(0:0))
      call av(1040, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_74, nGC_76/))

      allocate(vertices(1041)%branch(0:0))
      call av(1041, 0, 18, 1, 0, FaFS2, (/0, 1/), (/nGC_53, nGC_77/))

      allocate(vertices(1042)%branch(0:1))
      call av(1042, 0, 24, 2, 0, FaFV0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1042, 1, 25, 3, 0, FaFV0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1043)%branch(0:0))
      call av(1043, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1044)%branch(0:0))
      call av(1044, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_30/))

      allocate(vertices(1045)%branch(0:0))
      call av(1045, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_41/))

      allocate(vertices(1046)%branch(0:0))
      call av(1046, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(1047)%branch(0:0))
      call av(1047, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1048)%branch(0:0))
      call av(1048, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_170/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_850/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_851/))

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_724/))

      allocate(vertices(561)%branchCT(0:1))
      call avCT(561, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_852, nGC_854/))

      call avCT(561, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_853, nGC_855/))

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_721/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_856, nGC_857, nGC_856/))

      allocate(vertices(3)%branchCT(0:1))
      call avCT(3, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_858, nGC_858/))

      call avCT(3, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_859, nGC_859/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_861/))

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_862, nGC_863, nGC_863/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_864/))

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_865/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_866/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_721/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_867/))

      allocate(vertices(11)%branchCT(0:1))
      call avCT(11, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_868, nGC_870/))

      call avCT(11, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_869, nGC_871/))

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_872/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_873/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_863, nGC_862/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_875/))

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(18)%branchCT(0:1))
      call avCT(18, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_877, nGC_879/))

      call avCT(18, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_878, nGC_880/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(21)%branchCT(0:3))
      call avCT(21, 0, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_882, nGC_884/))

      call avCT(21, 1, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_881, nGC_883/))

      call avCT(21, 2, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_882, nGC_884/))

      call avCT(21, 3, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_881, nGC_883/))

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(1051)%branchCT(0:1))
      call avCT(1051, 0, 16, 8, 0, VV0, (/2, 0/), (/nGC_886, nGC_887/))

      call avCT(1051, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_886, nGC_887/))

      allocate(vertices(24)%branchCT(0:3))
      call avCT(24, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(24, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_889, nGC_891/))

      call avCT(24, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(24, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_889, nGC_891/))

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_892/))

      allocate(vertices(26)%branchCT(0:1))
      call avCT(26, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_893, nGC_895/))

      call avCT(26, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_894, nGC_896/))

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(1052)%branchCT(0:1))
      call avCT(1052, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_898, nGC_900, nGC_900 &
      , nGC_902/))

      call avCT(1052, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_899, nGC_901, nGC_901 &
      , nGC_903/))

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_904/))

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(30)%branchCT(0:1))
      call avCT(30, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_905, nGC_907/))

      call avCT(30, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_906, nGC_908/))

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_872/))

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_862, nGC_863/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_867/))

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_904/))

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_909, nGC_911/))

      call avCT(7, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_910, nGC_912/))

      allocate(vertices(166)%branchCT(0:0))
      call avCT(166, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_913/))

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_863, nGC_862/))

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_718/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_914/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(40)%branchCT(0:1))
      call avCT(40, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_915, nGC_917/))

      call avCT(40, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_916, nGC_918/))

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_861/))

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_920/))

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_921/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_922, nGC_924/))

      call avCT(49, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_923, nGC_925/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_926/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_927/))

      allocate(vertices(52)%branchCT(0:3))
      call avCT(52, 0, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(52, 1, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_928, nGC_930/))

      call avCT(52, 2, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(52, 3, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_928, nGC_930/))

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_933/))

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_934/))

      allocate(vertices(55)%branchCT(0:3))
      call avCT(55, 0, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_936, nGC_938/))

      call avCT(55, 1, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_935, nGC_937/))

      call avCT(55, 2, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_936, nGC_938/))

      call avCT(55, 3, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_935, nGC_937/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(57)%branchCT(0:1))
      call avCT(57, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_939, nGC_941/))

      call avCT(57, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_940, nGC_942/))

      allocate(vertices(58)%branchCT(0:1))
      call avCT(58, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_943, nGC_945/))

      call avCT(58, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_944, nGC_946/))

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_947/))

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_948/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_874/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_950/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_862, nGC_863/))

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_951/))

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_GG/))

      allocate(vertices(69)%branchCT(0:3))
      call avCT(69, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(69, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_953, nGC_955/))

      call avCT(69, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(69, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_953, nGC_955/))

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_956, nGC_958/))

      call avCT(70, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_957, nGC_959/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(412)%branchCT(0:1))
      call avCT(412, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_905, nGC_907/))

      call avCT(412, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_906, nGC_908/))

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_962, nGC_963, nGC_962/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_851/))

      allocate(vertices(76)%branchCT(0:1))
      call avCT(76, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_964/))

      call avCT(76, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_965/))

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_718/))

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_933/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_966/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_860/))

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_919/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_933/))

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_967/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_860/))

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_968/))

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_969/))

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_970/))

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_971/))

      allocate(vertices(94)%branchCT(0:1))
      call avCT(94, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_909, nGC_911/))

      call avCT(94, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_910, nGC_912/))

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_724/))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_972/))

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_948/))

      allocate(vertices(98)%branchCT(0:1))
      call avCT(98, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_852, nGC_854/))

      call avCT(98, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_853, nGC_855/))

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_973, nGC_973, nGC_974/))

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_975/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_976, nGC_976/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_927/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_892/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_860/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_914/))

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_977, nGC_978, nGC_979/))

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(1060)%branchCT(0:1))
      call avCT(1060, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_980, nGC_982, nGC_982 &
      , nGC_984/))

      call avCT(1060, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_981, nGC_983, nGC_983 &
      , nGC_985/))

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_950/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_986/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_724/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_920/))

      allocate(vertices(114)%branchCT(0:1))
      call avCT(114, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_943, nGC_945/))

      call avCT(114, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_944, nGC_946/))

      allocate(vertices(115)%branchCT(0:1))
      call avCT(115, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_987, nGC_989/))

      call avCT(115, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_988, nGC_990/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_991/))

      allocate(vertices(118)%branchCT(0:3))
      call avCT(118, 0, 28, 2, 0, VFFa0, (/1, 2/), (/nGC_936, nGC_938/))

      call avCT(118, 1, 28, 2, 0, VFFa0, (/3, 0/), (/nGC_935, nGC_937/))

      call avCT(118, 2, 29, 3, 0, VFFa0, (/1, 2/), (/nGC_936, nGC_938/))

      call avCT(118, 3, 29, 3, 0, VFFa0, (/3, 0/), (/nGC_935, nGC_937/))

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_961/))

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_970/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(756)%branchCT(0:1))
      call avCT(756, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_993, nGC_995/))

      call avCT(756, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_994, nGC_996/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_997/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(774)%branchCT(0:1))
      call avCT(774, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_964/))

      call avCT(774, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_965/))

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_998, nGC_998/))

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_976, nGC_976/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_862, nGC_863/))

      allocate(vertices(131)%branchCT(0:1))
      call avCT(131, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_999, nGC_1001/))

      call avCT(131, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1000, nGC_1002/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1003/))

      allocate(vertices(572)%branchCT(0:1))
      call avCT(572, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_964/))

      call avCT(572, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_965/))

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1004, nGC_1005/))

      allocate(vertices(739)%branchCT(0:1))
      call avCT(739, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_939, nGC_941/))

      call avCT(739, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_940, nGC_942/))

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_1006, nGC_1006/))

      call avCT(134, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_1007, nGC_1007/))

      allocate(vertices(135)%branchCT(0:1))
      call avCT(135, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1008/))

      call avCT(135, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1009/))

      allocate(vertices(1063)%branchCT(0:1))
      call avCT(1063, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_1010, nGC_1012,       &
      nGC_1012, nGC_1014/))

      call avCT(1063, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_1011, nGC_1013,       &
      nGC_1013, nGC_1015/))

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_950/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_892/))

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_933/))

      allocate(vertices(139)%branchCT(0:1))
      call avCT(139, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1016, nGC_1018/))

      call avCT(139, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1017, nGC_1019/))

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1020, nGC_1021/))

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1022/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(499)%branchCT(0:1))
      call avCT(499, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_868, nGC_870/))

      call avCT(499, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_869, nGC_871/))

      allocate(vertices(145)%branchCT(0:1))
      call avCT(145, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_941, nGC_939/))

      call avCT(145, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_942, nGC_940/))

      allocate(vertices(146)%branchCT(0:1))
      call avCT(146, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1016, nGC_1018/))

      call avCT(146, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1017, nGC_1019/))

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_921/))

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_862, nGC_863, nGC_863/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_926/))

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_947/))

      allocate(vertices(155)%branchCT(0:0))
      call avCT(155, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_721/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1023, nGC_1024/))

      allocate(vertices(157)%branchCT(0:1))
      call avCT(157, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_922, nGC_924/))

      call avCT(157, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_923, nGC_925/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_976, nGC_976/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_718/))

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_991/))

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_892/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_718/))

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_973, nGC_974, nGC_973/))

      allocate(vertices(167)%branchCT(0:1))
      call avCT(167, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_956, nGC_958/))

      call avCT(167, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_957, nGC_959/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_856, nGC_856, nGC_857/))

      allocate(vertices(169)%branchCT(0:1))
      call avCT(169, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1025, nGC_1027/))

      call avCT(169, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1026, nGC_1028/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(171)%branchCT(0:3))
      call avCT(171, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_882, nGC_884/))

      call avCT(171, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_881, nGC_883/))

      call avCT(171, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_882, nGC_884/))

      call avCT(171, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_881, nGC_883/))

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_950/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_867/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(690)%branchCT(0:1))
      call avCT(690, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_852, nGC_854/))

      call avCT(690, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_853, nGC_855/))

      allocate(vertices(177)%branchCT(0:1))
      call avCT(177, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_1025, nGC_1027/))

      call avCT(177, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_1026, nGC_1028/))

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1030, nGC_1030/))

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_961/))

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1031/))

      allocate(vertices(181)%branchCT(0:3))
      call avCT(181, 0, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(181, 1, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_953, nGC_955/))

      call avCT(181, 2, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(181, 3, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_953, nGC_955/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_872/))

      allocate(vertices(183)%branchCT(0:1))
      call avCT(183, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_870, nGC_868/))

      call avCT(183, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_871, nGC_869/))

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1032, nGC_1033/))

      allocate(vertices(187)%branchCT(0:0))
      call avCT(187, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_862, nGC_863, nGC_863/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_968/))

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_977, nGC_978, nGC_979/))

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_914/))

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_862, nGC_863, nGC_863/))

      allocate(vertices(152)%branchCT(0:3))
      call avCT(152, 0, 27, 3, 0, FaVF0, (/1, 2/), (/nGC_882, nGC_884/))

      call avCT(152, 1, 27, 3, 0, FaVF0, (/3, 0/), (/nGC_881, nGC_883/))

      call avCT(152, 2, 26, 2, 0, FaVF0, (/1, 2/), (/nGC_882, nGC_884/))

      call avCT(152, 3, 26, 2, 0, FaVF0, (/3, 0/), (/nGC_881, nGC_883/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1034/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1035/))

      allocate(vertices(612)%branchCT(0:1))
      call avCT(612, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1008/))

      call avCT(612, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1009/))

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_972/))

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_860/))

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_718/))

      allocate(vertices(221)%branchCT(0:1))
      call avCT(221, 0, 38, 4, 0, VUUa0, (/3, 0/), (/nGC_1036/))

      call avCT(221, 1, 39, 5, 0, VUUa0, (/3, 0/), (/nGC_1036/))

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_867/))

      allocate(vertices(201)%branchCT(0:1))
      call avCT(201, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_993, nGC_995/))

      call avCT(201, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_994, nGC_996/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_874/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1037/))

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1038/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1039/))

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_926/))

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1040/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_970/))

      allocate(vertices(274)%branchCT(0:1))
      call avCT(274, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1041, nGC_1041/))

      call avCT(274, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1042, nGC_1042/))

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(209)%branchCT(0:1))
      call avCT(209, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_1043, nGC_1043/))

      call avCT(209, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_1044, nGC_1044/))

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_872/))

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_971/))

      allocate(vertices(212)%branchCT(0:1))
      call avCT(212, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_909, nGC_911/))

      call avCT(212, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_910, nGC_912/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1045/))

      allocate(vertices(215)%branchCT(0:1))
      call avCT(215, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_868, nGC_870/))

      call avCT(215, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_869, nGC_871/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1035/))

      allocate(vertices(360)%branchCT(0:1))
      call avCT(360, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_852, nGC_854/))

      call avCT(360, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_853, nGC_855/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_718/))

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1046/))

      call avCT(220, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1047/))

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1048/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_719/))

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_872/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_921/))

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(225)%branchCT(0:1))
      call avCT(225, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_964/))

      call avCT(225, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_965/))

      allocate(vertices(226)%branchCT(0:1))
      call avCT(226, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_909, nGC_911/))

      call avCT(226, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_910, nGC_912/))

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_920/))

      allocate(vertices(230)%branchCT(0:0))
      call avCT(230, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_863, nGC_862/))

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(1071)%branchCT(0:1))
      call avCT(1071, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_1049, nGC_1051,       &
      nGC_1051, nGC_1053/))

      call avCT(1071, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_1050, nGC_1052,       &
      nGC_1052, nGC_1054/))

      allocate(vertices(232)%branchCT(0:1))
      call avCT(232, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_1055, nGC_1055/))

      call avCT(232, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_1056, nGC_1056/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_941, nGC_939/))

      call avCT(234, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_942, nGC_940/))

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_867/))

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_862, nGC_863/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_921/))

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_721/))

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_961/))

      allocate(vertices(242)%branchCT(0:1))
      call avCT(242, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_993, nGC_995/))

      call avCT(242, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_994, nGC_996/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_721/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_934/))

      allocate(vertices(894)%branchCT(0:1))
      call avCT(894, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1008/))

      call avCT(894, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1009/))

      allocate(vertices(247)%branchCT(0:1))
      call avCT(247, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_964/))

      call avCT(247, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_965/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_860/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1057, nGC_1058,       &
      nGC_1058, nGC_1059/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(252)%branchCT(0:1))
      call avCT(252, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1046/))

      call avCT(252, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1047/))

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_950/))

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_921/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1060, nGC_1061/))

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_867/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(259)%branchCT(0:1))
      call avCT(259, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_893, nGC_895/))

      call avCT(259, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_894, nGC_896/))

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1062, nGC_1063/))

      allocate(vertices(262)%branchCT(0:0))
      call avCT(262, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_968/))

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_998, nGC_998/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(267)%branchCT(0:1))
      call avCT(267, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_941, nGC_939/))

      call avCT(267, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_942, nGC_940/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_920/))

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_966/))

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(272)%branchCT(0:1))
      call avCT(272, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_939, nGC_941/))

      call avCT(272, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_940, nGC_942/))

      allocate(vertices(208)%branchCT(0:1))
      call avCT(208, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1016, nGC_1018/))

      call avCT(208, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1017, nGC_1019/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_867/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(277)%branchCT(0:3))
      call avCT(277, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(277, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_889, nGC_891/))

      call avCT(277, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(277, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_889, nGC_891/))

      allocate(vertices(110)%branchCT(0:3))
      call avCT(110, 0, 28, 2, 0, VFFa0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(110, 1, 28, 2, 0, VFFa0, (/1, 2/), (/nGC_889, nGC_891/))

      call avCT(110, 2, 29, 3, 0, VFFa0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(110, 3, 29, 3, 0, VFFa0, (/1, 2/), (/nGC_889, nGC_891/))

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1064/))

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1057, nGC_1058,       &
      nGC_1058, nGC_1059/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_961/))

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_933/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_914/))

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1065/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_873/))

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_867/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_919/))

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_972/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_975/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_920/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_866/))

      allocate(vertices(292)%branchCT(0:1))
      call avCT(292, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_1006, nGC_1006/))

      call avCT(292, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_1007, nGC_1007/))

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_851/))

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_856, nGC_856, nGC_857/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1068/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_874/))

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1034/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_934/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_850/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_966/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1020, nGC_1021/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_968/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_874/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_947/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_721/))

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_851/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(313)%branchCT(0:1))
      call avCT(313, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(313, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(314)%branchCT(0:1))
      call avCT(314, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_964/))

      call avCT(314, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_965/))

      allocate(vertices(315)%branchCT(0:1))
      call avCT(315, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_905, nGC_907/))

      call avCT(315, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_906, nGC_908/))

      allocate(vertices(316)%branchCT(0:1))
      call avCT(316, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1041, nGC_1041/))

      call avCT(316, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1042, nGC_1042/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_997/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(151)%branchCT(0:1))
      call avCT(151, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1073, nGC_1075/))

      call avCT(151, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1074, nGC_1076/))

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_861/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(322)%branchCT(0:1))
      call avCT(322, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_870, nGC_868/))

      call avCT(322, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_871, nGC_869/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_850/))

      allocate(vertices(324)%branchCT(0:1))
      call avCT(324, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1046/))

      call avCT(324, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1047/))

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_968/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_724/))

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_858, nGC_858/))

      call avCT(329, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_859, nGC_859/))

      allocate(vertices(330)%branchCT(0:1))
      call avCT(330, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_987, nGC_989/))

      call avCT(330, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_988, nGC_990/))

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1064/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1020, nGC_1021/))

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_951/))

      allocate(vertices(507)%branchCT(0:1))
      call avCT(507, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_993, nGC_995/))

      call avCT(507, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_994, nGC_996/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_973, nGC_973, nGC_974/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1077, nGC_1078/))

      allocate(vertices(336)%branchCT(0:1))
      call avCT(336, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_915, nGC_917/))

      call avCT(336, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_916, nGC_918/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_933/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_718/))

      allocate(vertices(339)%branchCT(0:1))
      call avCT(339, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1055, nGC_1055/))

      call avCT(339, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1056, nGC_1056/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_913/))

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_941, nGC_939/))

      call avCT(342, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_942, nGC_940/))

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_973, nGC_974, nGC_973/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_856, nGC_856, nGC_857/))

      allocate(vertices(345)%branchCT(0:1))
      call avCT(345, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_858, nGC_858/))

      call avCT(345, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_859, nGC_859/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_723/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_856, nGC_857, nGC_856/))

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_864/))

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_913/))

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1030, nGC_1030/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_950/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1062, nGC_1063/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_914/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_967/))

      allocate(vertices(917)%branchCT(0:1))
      call avCT(917, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_1041, nGC_1041/))

      call avCT(917, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_1042, nGC_1042/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1079/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_866/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_872/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_926/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_913/))

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_951/))

      allocate(vertices(1086)%branchCT(0:1))
      call avCT(1086, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_898, nGC_900, nGC_900 &
      , nGC_902/))

      call avCT(1086, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_899, nGC_901, nGC_901 &
      , nGC_903/))

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_1080/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(371)%branchCT(0:3))
      call avCT(371, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(371, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_953, nGC_955/))

      call avCT(371, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(371, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_953, nGC_955/))

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_851/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_874/))

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_968/))

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_885/))

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1062, nGC_1063/))

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(378)%branchCT(0:3))
      call avCT(378, 0, 22, 2, 0, FVFa0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(378, 1, 22, 2, 0, FVFa0, (/1, 2/), (/nGC_889, nGC_891/))

      call avCT(378, 2, 23, 3, 0, FVFa0, (/3, 0/), (/nGC_888, nGC_890/))

      call avCT(378, 3, 23, 3, 0, FVFa0, (/1, 2/), (/nGC_889, nGC_891/))

      allocate(vertices(379)%branchCT(0:1))
      call avCT(379, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_999, nGC_1001/))

      call avCT(379, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1000, nGC_1002/))

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1081, nGC_1082,       &
      nGC_1082, nGC_1083/))

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(381)%branchCT(0:1))
      call avCT(381, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1008/))

      call avCT(381, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1009/))

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_1084, nGC_1085/))

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1030, nGC_1030/))

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_975/))

      allocate(vertices(386)%branchCT(0:1))
      call avCT(386, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_877, nGC_879/))

      call avCT(386, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_878, nGC_880/))

      allocate(vertices(387)%branchCT(0:1))
      call avCT(387, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_909, nGC_911/))

      call avCT(387, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_910, nGC_912/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1086/))

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1087, nGC_1088,       &
      nGC_1088, nGC_1089/))

      allocate(vertices(390)%branchCT(0:1))
      call avCT(390, 0, 0, 4, 0, VVV0, (/3, 0/), (/nGC_1090/))

      call avCT(390, 1, 1, 5, 0, VVV0, (/3, 0/), (/nGC_1090/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_863, nGC_862/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_974, nGC_973, nGC_973/))

      allocate(vertices(441)%branchCT(0:1))
      call avCT(441, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_1055, nGC_1055/))

      call avCT(441, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_1056, nGC_1056/))

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1035/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1003/))

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_866/))

      allocate(vertices(399)%branchCT(0:1))
      call avCT(399, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1006, nGC_1006/))

      call avCT(399, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1007, nGC_1007/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_914/))

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_864/))

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(402)%branchCT(0:1))
      call avCT(402, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_915, nGC_917/))

      call avCT(402, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_916, nGC_918/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(404)%branchCT(0:1))
      call avCT(404, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(404, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1080/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_927/))

      allocate(vertices(407)%branchCT(0:1))
      call avCT(407, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_964/))

      call avCT(407, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_965/))

      allocate(vertices(927)%branchCT(0:3))
      call avCT(927, 0, 27, 3, 0, FaVF0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(927, 1, 27, 3, 0, FaVF0, (/3, 0/), (/nGC_928, nGC_930/))

      call avCT(927, 2, 26, 2, 0, FaVF0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(927, 3, 26, 2, 0, FaVF0, (/3, 0/), (/nGC_928, nGC_930/))

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1004, nGC_1005/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_860/))

      allocate(vertices(1093)%branchCT(0:1))
      call avCT(1093, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1049, nGC_1051,       &
      nGC_1051, nGC_1053/))

      call avCT(1093, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1050, nGC_1052,       &
      nGC_1052, nGC_1054/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1004, nGC_1005/))

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1091, nGC_1092/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(417)%branchCT(0:3))
      call avCT(417, 0, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(417, 1, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_928, nGC_930/))

      call avCT(417, 2, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(417, 3, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_928, nGC_930/))

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1060, nGC_1061/))

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_876/))

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_971/))

      allocate(vertices(424)%branchCT(0:1))
      call avCT(424, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_1055, nGC_1055/))

      call avCT(424, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_1056, nGC_1056/))

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1080/))

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1093/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_948/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_970/))

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_872/))

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1035/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_920/))

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1064/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_947/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1038/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(731)%branchCT(0:1))
      call avCT(731, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_877, nGC_879/))

      call avCT(731, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_878, nGC_880/))

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_963, nGC_962, nGC_962/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1064/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(439)%branchCT(0:3))
      call avCT(439, 0, 28, 2, 0, VFFa0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(439, 1, 28, 2, 0, VFFa0, (/3, 0/), (/nGC_928, nGC_930/))

      call avCT(439, 2, 29, 3, 0, VFFa0, (/1, 2/), (/nGC_929, nGC_931/))

      call avCT(439, 3, 29, 3, 0, VFFa0, (/3, 0/), (/nGC_928, nGC_930/))

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1030, nGC_1030/))

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_998, nGC_998/))

      allocate(vertices(1009)%branchCT(0:1))
      call avCT(1009, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_922, nGC_924/))

      call avCT(1009, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_923, nGC_925/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_866/))

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_967/))

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_872/))

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(819)%branchCT(0:0))
      call avCT(819, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_723/))

      allocate(vertices(448)%branchCT(0:1))
      call avCT(448, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1094, nGC_1096/))

      call avCT(448, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1095, nGC_1097/))

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_862, nGC_863/))

      allocate(vertices(451)%branchCT(0:1))
      call avCT(451, 0, 19, 1, 0, FaSF1, (/0, 3/), (/nGC_1098, nGC_1098/))

      call avCT(451, 1, 19, 1, 0, FaSF1, (/2, 1/), (/nGC_1099, nGC_1099/))

      allocate(vertices(452)%branchCT(0:1))
      call avCT(452, 0, 0, 4, 0, UaUV0, (/3, 0/), (/nGC_1036/))

      call avCT(452, 1, 1, 5, 0, UaUV0, (/3, 0/), (/nGC_1036/))

      allocate(vertices(453)%branchCT(0:1))
      call avCT(453, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1055, nGC_1055/))

      call avCT(453, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1056, nGC_1056/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_723/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_876/))

      allocate(vertices(239)%branchCT(0:0))
      call avCT(239, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1031/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_974, nGC_973, nGC_973/))

      allocate(vertices(459)%branchCT(0:1))
      call avCT(459, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_858, nGC_858/))

      call avCT(459, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_859, nGC_859/))

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_962, nGC_962, nGC_963/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1020, nGC_1021/))

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1100/))

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_897/))

      allocate(vertices(926)%branchCT(0:1))
      call avCT(926, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_999, nGC_1001/))

      call avCT(926, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1000, nGC_1002/))

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_719/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_966/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_860/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_992/))

      allocate(vertices(1095)%branchCT(0:1))
      call avCT(1095, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1010, nGC_1012,       &
      nGC_1012, nGC_1014/))

      call avCT(1095, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1011, nGC_1013,       &
      nGC_1013, nGC_1015/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_851/))

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_970/))

      allocate(vertices(943)%branchCT(0:0))
      call avCT(943, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_862, nGC_863, nGC_863/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_973, nGC_973, nGC_974/))

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(473)%branchCT(0:1))
      call avCT(473, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1041, nGC_1041/))

      call avCT(473, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1042, nGC_1042/))

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_963, nGC_962, nGC_962/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_721/))

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_862, nGC_863, nGC_863/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_851/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_969/))

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_933/))

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_863, nGC_863, nGC_862/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_861/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_874/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_927/))

      allocate(vertices(244)%branchCT(0:1))
      call avCT(244, 0, 18, 1, 0, FaFS2, (/0, 3/), (/nGC_905, nGC_907/))

      call avCT(244, 1, 18, 1, 0, FaFS2, (/2, 1/), (/nGC_906, nGC_908/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1004, nGC_1005/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_866/))

      allocate(vertices(488)%branchCT(0:3))
      call avCT(488, 0, 27, 3, 0, FaVF0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(488, 1, 27, 3, 0, FaVF0, (/1, 2/), (/nGC_953, nGC_955/))

      call avCT(488, 2, 26, 2, 0, FaVF0, (/3, 0/), (/nGC_952, nGC_954/))

      call avCT(488, 3, 26, 2, 0, FaVF0, (/1, 2/), (/nGC_953, nGC_955/))

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_861/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1091, nGC_1092/))

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1034/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_724/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_857, nGC_856, nGC_856/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1068/))

      allocate(vertices(495)%branchCT(0:1))
      call avCT(495, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_1098, nGC_1098/))

      call avCT(495, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_1099, nGC_1099/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_914/))

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_914/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1102, nGC_1103/))

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_961/))

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_949/))

      allocate(vertices(503)%branchCT(0:1))
      call avCT(503, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_877, nGC_879/))

      call avCT(503, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_878, nGC_880/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_897/))

      allocate(vertices(504)%branchCT(0:1))
      call avCT(504, 0, 10, 1, 0, FFaS2, (/0, 3/), (/nGC_870, nGC_868/))

      call avCT(504, 1, 10, 1, 0, FFaS2, (/2, 1/), (/nGC_871, nGC_869/))

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_961/))

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_970/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1022/))

    end subroutine fill_vertices_mdl2
end module vertices_info2
