!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_986) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_728) = -cima*dlam_QED4
      coupl(nGC_791) = -cima*dye_QED3
      coupl(nGC_793) = -cima*dytau_QED3
      coupl(nGC_792) = -cima*dym_QED3
      coupl(nGC_1047) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_517) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_514) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_489) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_764) = cima*dyup_QED1_QCD2
      coupl(nGC_765) = cima*dyc_QED3
      coupl(nGC_766) = cima*dyc_QED1_QCD2
      coupl(nGC_767) = -cima*dys_QED3
      coupl(nGC_761) = -cima*dydo_QED3
      coupl(nGC_762) = -cima*dydo_QED1_QCD2
      coupl(nGC_763) = cima*dyup_QED3
      coupl(nGC_768) = -cima*dys_QED1_QCD2
      coupl(nGC_769) = cima*dyt_QED3
      coupl(nGC_838) = -cima*dMB_QCD2
      coupl(nGC_839) = cima*dMZ2_QED2
      coupl(nGC_834) = -cima*dMD_QCD2
      coupl(nGC_835) = -cima*dMS_QED2
      coupl(nGC_836) = -cima*dMS_QCD2
      coupl(nGC_837) = -cima*dMB_QED2
      coupl(nGC_830) = -cima*dMC_QCD2
      coupl(nGC_831) = -cima*dMT_QED2
      coupl(nGC_832) = -cima*dMT_QCD2
      coupl(nGC_833) = -cima*dMD_QED2
      coupl(nGC_1000) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1002) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1009) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_468) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_463) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11 &
                       )**2d0)/(64d0*pi**2d0)
      coupl(nGC_467) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_466) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11&
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_465) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_464) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_485) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_484) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_480) = cima*(-coupl(nGC_36)**2d0 - coupl(nGC_4)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_524) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_990) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_734) = coupl(nGC_392)*dsw_QED2 + coupl(nGC_393)*dZee_QED2 +    &
                       coupl(nGC_394)*dvev_QED1
      coupl(nGC_730) = coupl(nGC_376)*dlam_QED4 + coupl(nGC_377)*dvev_QED1
      coupl(nGC_940) = coupl(nGC_764) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                       nGC_85)*dZuR_QCD2/2d0
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_891) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_572) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                       ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_579) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl( &
                       nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_687) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_686) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
      coupl(nGC_688) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_707) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1085) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_773) = coupl(nGC_411)*dydo_QED3
      coupl(nGC_771) = -cima*dyb_QED3
      coupl(nGC_770) = cima*dyt_QED1_QCD2
      coupl(nGC_777) = coupl(nGC_418)*dys_QED3
      coupl(nGC_774) = coupl(nGC_411)*dydo_QED1_QCD2
      coupl(nGC_779) = coupl(nGC_419)*dys_QED3
      coupl(nGC_778) = coupl(nGC_418)*dys_QED1_QCD2
      coupl(nGC_829) = -cima*dMC_QED2
      coupl(nGC_828) = -cima*dMU_QCD2
      coupl(nGC_822) = -cima*dMH2_QED2
      coupl(nGC_820) = coupl(nGC_424)*dyt_QED1_QCD2
      coupl(nGC_827) = -cima*dMU_QED2
      coupl(nGC_826) = -cima*dMTA_QED2
      coupl(nGC_825) = -cima*dMM_QED2
      coupl(nGC_824) = -cima*dME_QED2
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_912) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_910) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1069) = coupl(nGC_57)*dZcR_QED2/2d0 + coupl(nGC_57)*dZsL_QED2/ &
                        2d0 + coupl(nGC_765)
      coupl(nGC_537) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                       )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0 &
                        + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_626) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_621) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_742) = coupl(nGC_355)*dZee_QED2 + coupl(nGC_356)*dsw_QED2 +    &
                       coupl(nGC_357)*dcw_QED2
      coupl(nGC_740) = coupl(nGC_382)*dsw_QED2 + coupl(nGC_383)*dZee_QED2 +    &
                       coupl(nGC_384)*dvev_QED1
      coupl(nGC_758) = coupl(nGC_342)*dZee_QED2 + coupl(nGC_343)*dsw_QED2 +    &
                       coupl(nGC_344)*dcw_QED2
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_772) = -cima*dyb_QED1_QCD2
      coupl(nGC_812) = coupl(nGC_422)*dyt_QED1_QCD2
      coupl(nGC_813) = coupl(nGC_421)*dyt_QED3
      coupl(nGC_810) = coupl(nGC_406)*dyc_QED1_QCD2
      coupl(nGC_811) = coupl(nGC_422)*dyt_QED3
      coupl(nGC_817) = coupl(nGC_408)*dyc_QED3
      coupl(nGC_814) = coupl(nGC_421)*dyt_QED1_QCD2
      coupl(nGC_953) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_955) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_1028) = coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(nGC_58)*dZcR_QCD2/ &
                        2d0 + coupl(nGC_810)
      coupl(nGC_790) = coupl(nGC_400)*dyb_QED1_QCD2
      coupl(nGC_889) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_929) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_927) = coupl(nGC_793) + coupl(nGC_81)*dZnu_tauL_QED2/2d0 +     &
                       coupl(nGC_81)*dZtauMinusR_QED2/2d0
      coupl(nGC_925) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_923) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_882) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_884) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_669) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                       32d0*pi**2d0)
      coupl(nGC_668) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0*Nc)
      coupl(nGC_542) = (4d0*coupl(nGC_160)*coupl(nGC_23)**2d0 + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82 &
                       )*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_543) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +    &
                       coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_81)**2d0)/(32d0*pi**2d0)
      coupl(nGC_948) = coupl(nGC_728) + coupl(nGC_GPGMGPGM)
      coupl(nGC_751) = coupl(nGC_427)*dZee_QED2
      coupl(nGC_750) = coupl(nGC_402)*dsw_QED2 + coupl(nGC_403)*dZee_QED2 +    &
                       coupl(nGC_404)*dcw_QED2 + coupl(nGC_405)*dvev_QED1
      coupl(nGC_1151) = -coupl(nGC_579)
      coupl(nGC_1099) = coupl(nGC_55)*dZbL_QCD2/2d0 + coupl(nGC_55)*dZbR_QCD2/ &
                        2d0 + coupl(nGC_790)
      coupl(nGC_711) = coupl(nGC_429)*dZee_QED2
      coupl(nGC_1097) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_1095) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_868) = coupl(nGC_53)*dZbR_QED2/2d0 + coupl(nGC_53)*dZtL_QED2/  &
                       2d0 + coupl(nGC_771)
      coupl(nGC_818) = coupl(nGC_408)*dyc_QED1_QCD2
      coupl(nGC_788) = coupl(nGC_420)*dys_QED1_QCD2
      coupl(nGC_786) = coupl(nGC_410)*dydo_QED1_QCD2
      coupl(nGC_787) = coupl(nGC_420)*dys_QED3
      coupl(nGC_784) = coupl(nGC_401)*dyb_QED1_QCD2
      coupl(nGC_785) = coupl(nGC_410)*dydo_QED3
      coupl(nGC_782) = coupl(nGC_399)*dyb_QED1_QCD2
      coupl(nGC_783) = coupl(nGC_401)*dyb_QED3
      coupl(nGC_780) = coupl(nGC_419)*dys_QED1_QCD2
      coupl(nGC_781) = coupl(nGC_399)*dyb_QED3
      coupl(nGC_540) = (4d0*coupl(nGC_160)*coupl(nGC_23)**2d0 + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70 &
                       )*coupl(nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_757) = coupl(nGC_352)*dZee_QED2 + coupl(nGC_353)*dsw_QED2 +    &
                       coupl(nGC_354)*dcw_QED2
      coupl(nGC_819) = coupl(nGC_424)*dyt_QED3
      coupl(nGC_718) = coupl(nGC_442)*dMW2_QED2 + coupl(nGC_443)*dZee_QED2
      coupl(nGC_661) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*    &
                       coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**  &
                       2d0)
      coupl(nGC_798) = coupl(nGC_423)*dytau_QED3
      coupl(nGC_965) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_968) = coupl(nGC_41)*dZZA_QED2/2d0
      coupl(nGC_969) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_841) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_840) = cima*dMW2_QED2
      coupl(nGC_843) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_842) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_1074) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1076) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1077) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1072) = coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(nGC_73)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_768)
      coupl(nGC_717) = coupl(nGC_426)*dZee_QED2
      coupl(nGC_1054) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_708) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                       3d0)
      coupl(nGC_716) = coupl(nGC_450)*dZee_QED2 + coupl(nGC_451)*dsw_QED2 +    &
                       coupl(nGC_452)*dcw_QED2
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_698) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                       nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_188) +  &
                       3d0*cima*coupl(nGC_188)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                       coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(  &
                       nGC_188)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_610) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_79) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*coupl(nGC_23 &
                       )*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -   &
                       coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78&
                       )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80  &
                       ))/(32d0*pi**2d0)
      coupl(nGC_611) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_612) = (-coupl(nGC_176)*coupl(nGC_23)*coupl(nGC_77) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_79) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_80) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80 &
                       ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(  &
                       nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_613) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_614) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -   &
                       coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54&
                       )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0 &
                       )/(32d0*pi**2d0)
      coupl(nGC_615) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_616) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_176)*  &
                       coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_55) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) -   &
                       coupl(nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*  &
                       coupl(nGC_56))/(32d0*pi**2d0)
      coupl(nGC_617) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_618) = (coupl(nGC_174)*coupl(nGC_41)*coupl(nGC_81) + coupl(    &
                       nGC_180)*coupl(nGC_23)*coupl(nGC_83) + coupl(nGC_22)*   &
                       coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81))/(32d0*pi**2d0&
                       )
      coupl(nGC_619) = (-coupl(nGC_162)*coupl(nGC_4)*coupl(nGC_81) - coupl(    &
                       nGC_174)*coupl(nGC_36)*coupl(nGC_81) - coupl(nGC_178)*  &
                       coupl(nGC_23)*coupl(nGC_83) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(  &
                       32d0*pi**2d0)
      coupl(nGC_752) = coupl(nGC_428)*dZee_QED2
      coupl(nGC_755) = coupl(nGC_345)*dZee_QED2 + coupl(nGC_346)*dsw_QED2 +    &
                       coupl(nGC_347)*dcw_QED2
      coupl(nGC_754) = coupl(nGC_318)*dZee_QED2 + coupl(nGC_319)*dsw_QED2
      coupl(nGC_756) = coupl(nGC_361)*dZee_QED2 + coupl(nGC_362)*dsw_QED2 +    &
                       coupl(nGC_363)*dcw_QED2
      coupl(nGC_710) = coupl(nGC_439)*dZgs_QCD2
      coupl(nGC_1065) = -coupl(nGC_842) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_815) = coupl(nGC_367)*dyup_QED3
      coupl(nGC_509) = (4d0*coupl(nGC_170)*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_4&
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl(&
                       nGC_67)**2d0)/(32d0*pi**2d0)
      coupl(nGC_713) = coupl(nGC_313)*dZee_QED2 + coupl(nGC_314)*dsw_QED2 +    &
                       coupl(nGC_315)*dcw_QED2
      coupl(nGC_505) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl&
                       (nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_160)**2d0*  &
                       coupl(nGC_3) - 11d0*coupl(nGC_170)**2d0*coupl(nGC_3) +  &
                       12d0*coupl(nGC_23)**2d0*coupl(nGC_4))/(96d0*pi**2d0)
      coupl(nGC_506) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - &
                       4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) -   &
                       4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) -   &
                       4d0*Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) -   &
                       4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) -   &
                       4d0*Nc*cMU*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) -   &
                       4d0*cME*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0* &
                       cME*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM* &
                       coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl&
                       (nGC_4)*coupl(nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(   &
                       nGC_36)*coupl(nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(    &
                       nGC_4)*coupl(nGC_40)*coupl(nGC_83) + 4d0*cima*coupl(    &
                       nGC_29)*coupl(nGC_50) + 6d0*coupl(nGC_160)*coupl(nGC_170&
                       )*coupl(nGC_50) - coupl(nGC_160)*coupl(nGC_178)*coupl(  &
                       nGC_51) - coupl(nGC_170)*coupl(nGC_20)*coupl(nGC_47) -  &
                       coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_51) - coupl(     &
                       nGC_21)*coupl(nGC_3)*coupl(nGC_47) + 6d0*coupl(nGC_25)* &
                       coupl(nGC_3)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_500) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_501) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_502) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) -   &
                       2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) -   &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) -   &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) +   &
                       4d0*cima*coupl(nGC_172)*coupl(nGC_47) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_51) - coupl(nGC_160)*coupl(nGC_174)*   &
                       coupl(nGC_51) + 6d0*coupl(nGC_160)*coupl(nGC_3)*coupl(  &
                       nGC_47) - coupl(nGC_162)*coupl(nGC_170)*coupl(nGC_51) + &
                       6d0*coupl(nGC_170)*coupl(nGC_3)*coupl(nGC_51) - coupl(  &
                       nGC_178)*coupl(nGC_3)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_503) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) -   &
                       2d0*Nc*cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) -   &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) -   &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) +   &
                       4d0*cima*coupl(nGC_172)*coupl(nGC_47) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_51) - coupl(nGC_170)*coupl(nGC_180)*   &
                       coupl(nGC_50) + 6d0*coupl(nGC_170)*coupl(nGC_25)*coupl( &
                       nGC_47) + 6d0*coupl(nGC_170)*coupl(nGC_3)*coupl(nGC_51  &
                       ) - coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) - coupl(  &
                       nGC_3)*coupl(nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
      coupl(nGC_1070) = coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(nGC_57)*dZsL_QCD2/ &
                        2d0 + coupl(nGC_766)
      coupl(nGC_508) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_1142) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_710)
      coupl(nGC_1108) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1109) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0&
                         + coupl(nGC_38)*dZsL_QED2 + coupl(nGC_757)
      coupl(nGC_1105) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_1107) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_1102) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2&
                         + coupl(nGC_40)*dZZA_QED2/2d0 + coupl(nGC_717)
      coupl(nGC_1103) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_717)
      coupl(nGC_801) = coupl(nGC_416)*dym_QED3
      coupl(nGC_800) = coupl(nGC_414)*dye_QED3
      coupl(nGC_803) = coupl(nGC_351)*dyup_QED3
      coupl(nGC_802) = coupl(nGC_425)*dytau_QED3
      coupl(nGC_805) = coupl(nGC_395)*dyup_QED3
      coupl(nGC_804) = coupl(nGC_351)*dyup_QED1_QCD2
      coupl(nGC_807) = coupl(nGC_407)*dyc_QED3
      coupl(nGC_806) = coupl(nGC_395)*dyup_QED1_QCD2
      coupl(nGC_809) = coupl(nGC_406)*dyc_QED3
      coupl(nGC_808) = coupl(nGC_407)*dyc_QED1_QCD2
      coupl(nGC_1039) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_1030) = coupl(nGC_71)*dZH_QED2/2d0 + coupl(nGC_71)*            &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_71)*dZmuMinusR_QED2/2d0&
                         + coupl(nGC_801)
      coupl(nGC_1031) = -coupl(nGC_25)*dZZ_QED2/2d0 - coupl(nGC_3)*dZAZ_QED2/  &
                        2d0 - coupl(nGC_713)
      coupl(nGC_1034) = coupl(nGC_52)*dZZA_QED2/2d0
      coupl(nGC_1035) = coupl(nGC_47)*dZZA_QED2/2d0 + coupl(nGC_51)*dZA_QED2/  &
                        2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0 + coupl(nGC_734)
      coupl(nGC_1037) = 3d0*coupl(nGC_49)*dZH_QED2/2d0 + coupl(nGC_730) + coupl&
                        (nGC_HHH)
      coupl(nGC_939) = coupl(nGC_763) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                       nGC_85)*dZuR_QED2/2d0
      coupl(nGC_938) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_936) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_931) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_932) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_478) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                       2d0)/(8d0*pi**2d0)
      coupl(nGC_479) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_4)**2d0 - coupl(  &
                       nGC_40)**2d0)/(16d0*pi**2d0)
      coupl(nGC_474) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35  &
                       )**2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39&
                       )**2d0 - coupl(nGC_160)**2d0 - coupl(nGC_25)**2d0 - 2d0*&
                       coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl(&
                       nGC_41)**2d0)/(32d0*pi**2d0)
      coupl(nGC_475) = cima*(coupl(nGC_160)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_477) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_470) = cima*(coupl(nGC_160)*coupl(nGC_170) + coupl(nGC_25)*    &
                       coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_471) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0* &
                       Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC&
                       **2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*&
                       cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima* &
                       coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1 &
                       )*coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*    &
                       coupl(nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(&
                       nGC_35) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39&
                       ) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) +   &
                       2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*  &
                       cME**2d0*cima*coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*    &
                       coupl(nGC_36)*coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(   &
                       nGC_4)*coupl(nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*&
                       coupl(nGC_4) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(   &
                       nGC_40) + 3d0*cMW**2d0*cima*coupl(nGC_160)*coupl(nGC_170&
                       ) + 3d0*cMW**2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0* &
                       cMW**2d0*coupl(nGC_29))/(16d0*pi**2d0)
      coupl(nGC_472) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)**&
                       2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)**&
                       2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)**&
                       2d0 + coupl(nGC_178)*coupl(nGC_20) + coupl(nGC_180)*    &
                       coupl(nGC_21) + coupl(nGC_184)*coupl(nGC_37) + 4d0*coupl&
                       (nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(     &
                       nGC_83)**2d0)/(96d0*pi**2d0)
      coupl(nGC_473) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 &
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(&
                       nGC_67)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 -   &
                       4d0*cMTA**2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*  &
                       coupl(nGC_178)*coupl(nGC_20) - cMW**2d0*cima*coupl(     &
                       nGC_180)*coupl(nGC_21) - 2d0*cMW**2d0*coupl(nGC_17) -   &
                       cMZ**2d0*cima*coupl(nGC_184)*coupl(nGC_37) - cMZ**2d0*  &
                       coupl(nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl&
                       (nGC_52)**2d0)/(16d0*pi**2d0)
      coupl(nGC_496) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_497) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_494) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(  &
                       nGC_38)**2d0)/(16d0*pi**2d0)
      coupl(nGC_495) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_492) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_493) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_490) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(     &
                       nGC_39))/(8d0*pi**2d0)
      coupl(nGC_491) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_557) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +    &
                       coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl( &
                       nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_556) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_160&
                       )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +   &
                       coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl( &
                       nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_555) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_554) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +    &
                       coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl( &
                       nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_553) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_552) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_160&
                       )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +   &
                       coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl( &
                       nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_498) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_499) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_598) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc* &
                       cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc* &
                       cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl(&
                       nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)* &
                       coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)* &
                       coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl&
                       (nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl&
                       (nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0  &
                        + 4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc&
                       *cMS*coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*&
                       cMS*coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(&
                       nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)* &
                       coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)* &
                       coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl&
                       (nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl&
                       (nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0  &
                        + 4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME* &
                       coupl(nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*    &
                       coupl(nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70 &
                       )**2d0*coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(    &
                       nGC_71)*coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(    &
                       nGC_72)**2d0 + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83 &
                       ) + 16d0*cMTA*coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84  &
                       ) + 4d0*cMTA*coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima&
                       *coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*  &
                       coupl(nGC_52) + 2d0*coupl(nGC_176)*coupl(nGC_22)*coupl( &
                       nGC_48) - 2d0*coupl(nGC_176)*coupl(nGC_22)*coupl(nGC_50 &
                       ) + coupl(nGC_184)**2d0*coupl(nGC_48) + coupl(nGC_184)* &
                       coupl(nGC_37)*coupl(nGC_49) - coupl(nGC_184)*coupl(     &
                       nGC_37)*coupl(nGC_52) + coupl(nGC_37)**2d0*coupl(nGC_48 &
                       ))/(32d0*pi**2d0)
      coupl(nGC_980) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_981) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_982) = coupl(nGC_833) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl(   &
                       nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_983) = coupl(nGC_834) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl(   &
                       nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_984) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_985) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_987) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +    &
                       coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_751)
      coupl(nGC_988) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_989) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +    &
                       coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_751)
      coupl(nGC_593) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)** &
                       2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0  &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_592) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                       nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl(&
                       nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0)
      coupl(nGC_591) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                       nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)*  &
                       coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_720) = coupl(nGC_339)*dsw_QED2 + coupl(nGC_340)*dMW2_QED2 +    &
                       coupl(nGC_341)*dZee_QED2
      coupl(nGC_721) = coupl(nGC_378)*dsw_QED2 + coupl(nGC_379)*dMW2_QED2 +    &
                       coupl(nGC_380)*dZee_QED2 + coupl(nGC_381)*dcw_QED2
      coupl(nGC_722) = coupl(nGC_320)*dZee_QED2 + coupl(nGC_321)*dsw_QED2 +    &
                       coupl(nGC_322)*dcw_QED2
      coupl(nGC_723) = coupl(nGC_328)*dsw_QED2 + coupl(nGC_329)*dMW2_QED2 +    &
                       coupl(nGC_330)*dZee_QED2
      coupl(nGC_724) = coupl(nGC_333)*dZee_QED2 + coupl(nGC_334)*dsw_QED2 +    &
                       coupl(nGC_335)*dMZ2_QED2
      coupl(nGC_725) = coupl(nGC_385)*dZee_QED2 + coupl(nGC_386)*dsw_QED2 +    &
                       coupl(nGC_387)*dMZ2_QED2 + coupl(nGC_388)*dcw_QED2
      coupl(nGC_726) = coupl(nGC_438)*dlam_QED4
      coupl(nGC_727) = coupl(nGC_435)*dlam_QED4
      coupl(nGC_729) = coupl(nGC_371)*dlam_QED4 + coupl(nGC_372)*dvev_QED1
      coupl(nGC_627) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_162)*coupl&
                       (nGC_2)*coupl(nGC_77) + coupl(nGC_174)*coupl(nGC_35)*   &
                       coupl(nGC_77) + coupl(nGC_176)*coupl(nGC_23)*coupl(     &
                       nGC_80) + coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_79) +   &
                       8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl(  &
                       nGC_38)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*    &
                       coupl(nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55&
                       )*coupl(nGC_79))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
