!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 22:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1018) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZbR_QED2 + coupl(nGC_758)
      coupl(nGC_1019) = coupl(nGC_34)*dZbR_QCD2
      coupl(nGC_1124) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_561) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0&
                       *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_184)*coupl(nGC_22) + coupl(nGC_174)*coupl(  &
                       nGC_22)*coupl(nGC_37) + coupl(nGC_176)**2d0*coupl(nGC_20&
                       ) - 6d0*coupl(nGC_178)*coupl(nGC_25)*coupl(nGC_40) - 6d0&
                       *coupl(nGC_178)*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_20&
                       )*coupl(nGC_21)**2d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)* &
                       coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(  &
                       nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83  &
                       ))/(96d0*pi**2d0)
      coupl(nGC_917) = coupl(nGC_78)*dZtL_QED2/2d0 + coupl(nGC_78)*dZtR_QED2/  &
                       2d0 + coupl(nGC_813)
      coupl(nGC_916) = coupl(nGC_80)*dZtL_QCD2/2d0 + coupl(nGC_80)*dZtR_QCD2/  &
                       2d0 + coupl(nGC_812)
      coupl(nGC_915) = coupl(nGC_80)*dZtL_QED2/2d0 + coupl(nGC_80)*dZtR_QED2/  &
                       2d0 + coupl(nGC_811)
      coupl(nGC_914) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0 + &
                       coupl(nGC_754)
      coupl(nGC_913) = coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6)*dZA_QED2 + coupl(&
                       nGC_731)
      coupl(nGC_911) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +    &
                       coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_751)
      coupl(nGC_919) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 +  &
                       coupl(nGC_739)
      coupl(nGC_918) = coupl(nGC_78)*dZtL_QCD2/2d0 + coupl(nGC_78)*dZtR_QCD2/  &
                       2d0 + coupl(nGC_814)
      coupl(nGC_858) = coupl(nGC_75)*dZH_QED2/2d0 + coupl(nGC_75)*dZsL_QED2/2d0&
                        + coupl(nGC_75)*dZsR_QED2/2d0 + coupl(nGC_787)
      coupl(nGC_859) = coupl(nGC_75)*dZsL_QCD2/2d0 + coupl(nGC_75)*dZsR_QCD2/  &
                       2d0 + coupl(nGC_788)
      coupl(nGC_856) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 -  &
                       coupl(nGC_29)*dZAZ_QED2/2d0 + coupl(nGC_716)
      coupl(nGC_857) = -2d0*coupl(nGC_19)*dZWMinus_QED2 - 2d0*coupl(nGC_19)*   &
                       dZZ_QED2 + coupl(nGC_29)*dZAZ_QED2 - 2d0*coupl(nGC_716)
      coupl(nGC_854) = coupl(nGC_803) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                       nGC_86)*dZuR_QED2/2d0
      coupl(nGC_855) = coupl(nGC_804) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                       nGC_86)*dZuR_QCD2/2d0
      coupl(nGC_852) = coupl(nGC_805) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                       nGC_88)*dZuR_QED2/2d0
      coupl(nGC_853) = coupl(nGC_806) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                       nGC_88)*dZuR_QCD2/2d0
      coupl(nGC_850) = coupl(nGC_50)*dZH_QED2/2d0 + coupl(nGC_50)*dZWMinus_QED2&
                        + coupl(nGC_740)
      coupl(nGC_851) = -coupl(nGC_25)*dZWMinus_QED2/2d0 - coupl(nGC_713)
      coupl(nGC_1067) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_717)
      coupl(nGC_1066) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0 + coupl( &
                        nGC_717)
      coupl(nGC_1064) = -coupl(nGC_4)*dZWMinus_QED2/2d0 - coupl(nGC_717)
      coupl(nGC_1063) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*            &
                        dZeMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_760)
      coupl(nGC_1061) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_717)
      coupl(nGC_1060) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0 + coupl(&
                        nGC_717)
      coupl(nGC_1068) = -coupl(nGC_20)*dZH_QED2/2d0 - coupl(nGC_20)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_738)
      coupl(nGC_539) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +    &
                       coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_65)**2d0)/(32d0*pi**2d0)
      coupl(nGC_538) = (4d0*coupl(nGC_160)*coupl(nGC_23)**2d0 + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66 &
                       )*coupl(nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_531) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) - &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -  &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +  &
                       2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0*&
                       cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME*&
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*   &
                       coupl(nGC_172)*coupl(nGC_51) + 4d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_47) - coupl(nGC_160)*coupl(nGC_174)*coupl(    &
                       nGC_47) + 6d0*coupl(nGC_160)*coupl(nGC_25)*coupl(nGC_47 &
                       ) - coupl(nGC_162)*coupl(nGC_170)*coupl(nGC_47) + 6d0*  &
                       coupl(nGC_170)*coupl(nGC_25)*coupl(nGC_51) - coupl(     &
                       nGC_178)*coupl(nGC_25)*coupl(nGC_50) - coupl(nGC_21)*   &
                       coupl(nGC_25)*coupl(nGC_52))/(32d0*pi**2d0)
      coupl(nGC_530) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*    &
                       coupl(nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_160)**&
                       2d0*coupl(nGC_25) - 11d0*coupl(nGC_170)**2d0*coupl(     &
                       nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) - 12d0* &
                       coupl(nGC_23)**2d0*coupl(nGC_41))/(96d0*pi**2d0)
      coupl(nGC_533) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) - 4d0*&
                       Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                       coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl&
                       (nGC_34)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(    &
                       nGC_34)*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(     &
                       nGC_34)*coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_59)*coupl(nGC_60) - 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_78)*coupl(nGC_79) + 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_79)*coupl(nGC_80) - 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_87)*coupl(nGC_88) - 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_54)*coupl(nGC_55) + 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_78)*coupl(nGC_79) - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_86)*coupl(nGC_87) - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_87)*coupl(nGC_88) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_176)*coupl(nGC_178) + coupl(nGC_174)*coupl( &
                       nGC_20)*coupl(nGC_22) - 6d0*coupl(nGC_176)*coupl(nGC_180&
                       )*coupl(nGC_25) + coupl(nGC_21)*coupl(nGC_22)*coupl(    &
                       nGC_40) + 4d0*coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67  &
                       ) - 4d0*coupl(nGC_36)*coupl(nGC_67)*coupl(nGC_68) + 4d0*&
                       coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(  &
                       nGC_36)*coupl(nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_36)*&
                       coupl(nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_36)*coupl(  &
                       nGC_83)*coupl(nGC_84) + coupl(nGC_37)**3d0 - 4d0*coupl( &
                       nGC_40)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(nGC_40)*&
                       coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_40)*coupl(  &
                       nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_40)*coupl(nGC_71)*&
                       coupl(nGC_72) - 4d0*coupl(nGC_40)*coupl(nGC_82)*coupl(  &
                       nGC_83) + 4d0*coupl(nGC_40)*coupl(nGC_83)*coupl(nGC_84  &
                       ))/(96d0*pi**2d0)
      coupl(nGC_532) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) - &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -  &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +  &
                       2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0*&
                       cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME*&
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*   &
                       coupl(nGC_172)*coupl(nGC_51) + 4d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_47) - coupl(nGC_160)*coupl(nGC_180)*coupl(    &
                       nGC_50) - coupl(nGC_160)*coupl(nGC_20)*coupl(nGC_52) +  &
                       6d0*coupl(nGC_160)*coupl(nGC_25)*coupl(nGC_47) + 6d0*   &
                       coupl(nGC_160)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25&
                       )*coupl(nGC_40)*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4&
                       )*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_535) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                       )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0 &
                        + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_534) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(&
                       nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl(&
                       nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0  &
                        - 4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*    &
                       coupl(nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*&
                       coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77  &
                       )**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0* &
                       Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(&
                       nGC_73)**2d0 + coupl(nGC_162)**2d0*coupl(nGC_40) + coupl&
                       (nGC_174)**2d0*coupl(nGC_40) + coupl(nGC_176)*coupl(    &
                       nGC_180)*coupl(nGC_184) - 6d0*coupl(nGC_176)*coupl(     &
                       nGC_22)*coupl(nGC_25) - 6d0*coupl(nGC_178)*coupl(nGC_20 &
                       )*coupl(nGC_25) + coupl(nGC_21)*coupl(nGC_22)*coupl(    &
                       nGC_37) + 4d0*coupl(nGC_36)*coupl(nGC_65)**2d0 + 4d0*   &
                       coupl(nGC_36)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_36)*   &
                       coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_65)**  &
                       2d0 - 4d0*coupl(nGC_41)*coupl(nGC_69)**2d0 - 4d0*coupl( &
                       nGC_41)*coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_536) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                       )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0 &
                        + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_692) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 3d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 30d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_693) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima&
                       *coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_188)**2d0  &
                        + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 -  &
                       21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**2d0 +    &
                       36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_1121) = coupl(nGC_837) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl(  &
                        nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_625) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_53) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_174)*coupl&
                       (nGC_34)*coupl(nGC_53) - coupl(nGC_178)*coupl(nGC_23)*  &
                       coupl(nGC_55) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_53  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_54) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_54)*coupl(    &
                       nGC_77)*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*    &
                       coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_624) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_748) = coupl(nGC_396)*dZee_QED2 + coupl(nGC_397)*dsw_QED2 +    &
                       coupl(nGC_398)*dcw_QED2
      coupl(nGC_749) = coupl(nGC_389)*dZee_QED2 + coupl(nGC_390)*dsw_QED2 +    &
                       coupl(nGC_391)*dcw_QED2
      coupl(nGC_620) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_170) + coupl(nGC_1&
                       )*coupl(nGC_2) + coupl(nGC_160)*coupl(nGC_38) + coupl(  &
                       nGC_2)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_39) +     &
                       coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_623) = (-coupl(nGC_1)*coupl(nGC_162)*coupl(nGC_77) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_174)*coupl&
                       (nGC_38)*coupl(nGC_77) - coupl(nGC_176)*coupl(nGC_23)*  &
                       coupl(nGC_78) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_77  &
                       ) - coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_79) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(    &
                       nGC_55)*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*    &
                       coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_622) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)*&
                       coupl(nGC_3) - coupl(nGC_160)*coupl(nGC_39) - coupl(    &
                       nGC_170)*coupl(nGC_2) - coupl(nGC_25)*coupl(nGC_38) +   &
                       coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_743) = coupl(nGC_358)*dZee_QED2 + coupl(nGC_359)*dsw_QED2 +    &
                       coupl(nGC_360)*dcw_QED2
      coupl(nGC_741) = coupl(nGC_368)*dZee_QED2 + coupl(nGC_369)*dsw_QED2 +    &
                       coupl(nGC_370)*dcw_QED2
      coupl(nGC_746) = coupl(nGC_373)*dZee_QED2 + coupl(nGC_374)*dcw_QED2 +    &
                       coupl(nGC_375)*dvev_QED1
      coupl(nGC_747) = coupl(nGC_436)*dZee_QED2 + coupl(nGC_437)*dcw_QED2
      coupl(nGC_744) = coupl(nGC_433)*dZee_QED2 + coupl(nGC_434)*dcw_QED2
      coupl(nGC_745) = coupl(nGC_440)*dZee_QED2 + coupl(nGC_441)*dcw_QED2
      coupl(nGC_1119) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1118) = -coupl(nGC_4)*dZA_QED2/2d0 - coupl(nGC_40)*dZZA_QED2/  &
                        2d0 - coupl(nGC_717)
      coupl(nGC_1117) = -coupl(nGC_841) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1116) = coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(nGC_64)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_774)
      coupl(nGC_1115) = coupl(nGC_64)*dZdL_QED2/2d0 + coupl(nGC_64)*dZdR_QED2/ &
                        2d0 + coupl(nGC_773)
      coupl(nGC_1114) = coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(nGC_62)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_776)
      coupl(nGC_1113) = coupl(nGC_62)*dZdL_QED2/2d0 + coupl(nGC_62)*dZdR_QED2/ &
                        2d0 + coupl(nGC_775)
      coupl(nGC_1112) = coupl(nGC_34)*dZsR_QCD2
      coupl(nGC_1111) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZsR_QED2 + coupl(nGC_758)
      coupl(nGC_1110) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_1140) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_710)
      coupl(nGC_959) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_958) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0 &
                        + coupl(nGC_35)*dZcR_QED2 + coupl(nGC_755)
      coupl(nGC_816) = coupl(nGC_367)*dyup_QED1_QCD2
      coupl(nGC_1141) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_710)
      coupl(nGC_951) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/2d0&
                        - coupl(nGC_711)
      coupl(nGC_950) = coupl(nGC_69)*dZmuMinusR_QED2/2d0 + coupl(nGC_69)*      &
                       dZnu_muL_QED2/2d0 + coupl(nGC_792)
      coupl(nGC_957) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_956) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0 &
                        + coupl(nGC_39)*dZcL_QED2 + coupl(nGC_756)
      coupl(nGC_1143) = coupl(nGC_839) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_1144) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1145) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1029) = -coupl(nGC_22)*dZWMinus_QED2/2d0 - coupl(nGC_735)
      coupl(nGC_1146) = -coupl(nGC_530)
      coupl(nGC_1023) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_40)*dZmuMinusL_QED2 + coupl(nGC_743)
      coupl(nGC_1021) = coupl(nGC_799) + coupl(nGC_84)*dZtauMinusL_QED2/2d0 +  &
                        coupl(nGC_84)*dZtauMinusR_QED2/2d0
      coupl(nGC_1020) = coupl(nGC_798) + coupl(nGC_82)*dZtauMinusL_QED2/2d0 +  &
                        coupl(nGC_82)*dZtauMinusR_QED2/2d0
      coupl(nGC_1027) = coupl(nGC_58)*dZcL_QED2/2d0 + coupl(nGC_58)*dZcR_QED2/ &
                        2d0 + coupl(nGC_809)
      coupl(nGC_1026) = coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(nGC_60)*dZcR_QCD2/ &
                        2d0 + coupl(nGC_808)
      coupl(nGC_1025) = coupl(nGC_60)*dZcL_QED2/2d0 + coupl(nGC_60)*dZcR_QED2/ &
                        2d0 + coupl(nGC_807)
      coupl(nGC_1024) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*            &
                        dZmuMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_760)
      coupl(nGC_1149) = -coupl(nGC_505)
      coupl(nGC_926) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_23)*dZtauMinusL_QED2/2d0 &
                        + coupl(nGC_754)
      coupl(nGC_924) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +    &
                       coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_751)
      coupl(nGC_922) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +    &
                       coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_751)
      coupl(nGC_920) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +   &
                       coupl(nGC_754)
      coupl(nGC_880) = coupl(nGC_35)*dZuR_QCD2
      coupl(nGC_1129) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_887) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_886) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_551) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(    &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_541) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +    &
                       coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_69)**2d0)/(32d0*pi**2d0)
      coupl(nGC_544) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*    &
                       coupl(nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_545) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_546) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(    &
                       nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_547) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_548) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*    &
                       coupl(nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_885) = coupl(nGC_727) + coupl(nGC_HHGG)
      coupl(nGC_663) = (3d0*Nc*cima*coupl(nGC_34)**4d0 + 3d0*Nc*cima*coupl(    &
                       nGC_35)**4d0 + 3d0*Nc*cima*coupl(nGC_38)**4d0 + 3d0*Nc* &
                       cima*coupl(nGC_39)**4d0 - 10d0*cima*coupl(nGC_160)**4d0 &
                        + 3d0*cima*coupl(nGC_164)**2d0 - 10d0*cima*coupl(nGC_25&
                       )**4d0 + 3d0*cima*coupl(nGC_36)**4d0 + 3d0*cima*coupl(  &
                       nGC_40)**4d0 + 3d0*cima*coupl(nGC_41)**4d0 + 9d0*coupl( &
                       nGC_160)**2d0*coupl(nGC_164) + 3d0*coupl(nGC_160)**2d0* &
                       coupl(nGC_19) + 9d0*coupl(nGC_164)*coupl(nGC_25)**2d0 + &
                       3d0*coupl(nGC_19)*coupl(nGC_25)**2d0)/(24d0*pi**2d0)
      coupl(nGC_662) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*    &
                       coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**  &
                       2d0*Nc)
      coupl(nGC_665) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 -  &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 + 9d0&
                       *cima*coupl(nGC_160)**2d0*coupl(nGC_180)*coupl(nGC_21   &
                       ) + 6d0*cima*coupl(nGC_164)*coupl(nGC_46) + 12d0*cima*  &
                       coupl(nGC_17)*coupl(nGC_18) + 9d0*cima*coupl(nGC_170)** &
                       2d0*coupl(nGC_180)*coupl(nGC_21) + 4d0*cima*coupl(      &
                       nGC_176)*coupl(nGC_180)*coupl(nGC_21)*coupl(nGC_22) +   &
                       4d0*cima*coupl(nGC_176)*coupl(nGC_184)*coupl(nGC_22)*   &
                       coupl(nGC_37) + 4d0*cima*coupl(nGC_178)*coupl(nGC_180)* &
                       coupl(nGC_20)*coupl(nGC_21) + 9d0*cima*coupl(nGC_184)*  &
                       coupl(nGC_25)**2d0*coupl(nGC_37) - 16d0*cima*coupl(     &
                       nGC_23)**2d0*coupl(nGC_67)**2d0 - 16d0*cima*coupl(nGC_23&
                       )**2d0*coupl(nGC_71)**2d0 - 16d0*cima*coupl(nGC_23)**2d0&
                       *coupl(nGC_83)**2d0 + 18d0*coupl(nGC_160)**2d0*coupl(   &
                       nGC_17) - 6d0*coupl(nGC_160)*coupl(nGC_180)*coupl(nGC_8 &
                       ) - 6d0*coupl(nGC_160)*coupl(nGC_21)*coupl(nGC_8) - 3d0*&
                       coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_37) + 18d0*coupl&
                       (nGC_17)*coupl(nGC_170)**2d0 + 3d0*coupl(nGC_17)*coupl( &
                       nGC_178)*coupl(nGC_20) + 3d0*coupl(nGC_17)*coupl(nGC_180&
                       )*coupl(nGC_21) + 3d0*coupl(nGC_17)*coupl(nGC_184)*coupl&
                       (nGC_37) - 6d0*coupl(nGC_170)*coupl(nGC_180)*coupl(     &
                       nGC_27) - 6d0*coupl(nGC_170)*coupl(nGC_21)*coupl(nGC_27 &
                       ) - 3d0*coupl(nGC_178)*coupl(nGC_18)*coupl(nGC_20) - 3d0&
                       *coupl(nGC_18)*coupl(nGC_180)*coupl(nGC_21) + 18d0*coupl&
                       (nGC_25)**2d0*coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_664) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_58) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_54) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_74 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_54  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_74  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_86) + 9d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_176)*coupl(nGC_25)*coupl(nGC_40) +   &
                       9d0*cima*coupl(nGC_160)*coupl(nGC_176)*coupl(nGC_3)*    &
                       coupl(nGC_4) + 9d0*cima*coupl(nGC_160)*coupl(nGC_180)*  &
                       coupl(nGC_25)*coupl(nGC_37) + 24d0*cima*coupl(nGC_172)* &
                       coupl(nGC_26) + 4d0*cima*coupl(nGC_174)*coupl(nGC_176)* &
                       coupl(nGC_37)**2d0 + 4d0*cima*coupl(nGC_174)*coupl(     &
                       nGC_180)**2d0*coupl(nGC_22) + 4d0*cima*coupl(nGC_174)*  &
                       coupl(nGC_180)*coupl(nGC_184)*coupl(nGC_40) + 4d0*cima* &
                       coupl(nGC_174)*coupl(nGC_22)**3d0 + 4d0*cima*coupl(     &
                       nGC_176)**2d0*coupl(nGC_184)*coupl(nGC_20) + 4d0*cima*  &
                       coupl(nGC_176)**2d0*coupl(nGC_20)*coupl(nGC_37) + 24d0* &
                       cima*coupl(nGC_19)*coupl(nGC_7) + 20d0*cima*coupl(nGC_23&
                       )*coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 20d0*cima*&
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_70  &
                       ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*&
                       coupl(nGC_82) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*  &
                       coupl(nGC_65)*coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*&
                       coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*  &
                       coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_82) - 6d0*coupl(  &
                       nGC_160)*coupl(nGC_17)*coupl(nGC_176) - 6d0*coupl(      &
                       nGC_160)*coupl(nGC_17)*coupl(nGC_22) - 6d0*coupl(nGC_160&
                       )*coupl(nGC_176)*coupl(nGC_46) - 6d0*coupl(nGC_160)*    &
                       coupl(nGC_22)*coupl(nGC_45) + 36d0*coupl(nGC_160)*coupl(&
                       nGC_25)*coupl(nGC_7) + 36d0*coupl(nGC_160)*coupl(nGC_26 &
                       )*coupl(nGC_3) - 6d0*coupl(nGC_162)*coupl(nGC_172)*coupl&
                       (nGC_22) - 6d0*coupl(nGC_170)*coupl(nGC_22)*coupl(nGC_42&
                       ) - 6d0*coupl(nGC_174)*coupl(nGC_19)*coupl(nGC_22) + 6d0&
                       *coupl(nGC_176)**2d0*coupl(nGC_7) + 6d0*coupl(nGC_176)* &
                       coupl(nGC_20)*coupl(nGC_8) - 6d0*coupl(nGC_180)*coupl(  &
                       nGC_19)*coupl(nGC_37) + 6d0*coupl(nGC_184)*coupl(nGC_40 &
                       )*coupl(nGC_8) - 6d0*coupl(nGC_25)*coupl(nGC_37)*coupl( &
                       nGC_8) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_7) - &
                       6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_7))/(192d0*pi** &
                       2d0)
      coupl(nGC_550) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*    &
                       coupl(nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_666) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl(  &
                       nGC_56) - 16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58)*&
                       coupl(nGC_60) - 16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(  &
                       nGC_62)*coupl(nGC_64) - 16d0*Nc*cima*coupl(nGC_23)**2d0*&
                       coupl(nGC_74)*coupl(nGC_76) - 16d0*Nc*cima*coupl(nGC_23 &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 16d0*Nc*cima*coupl(&
                       nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 9d0*cima*    &
                       coupl(nGC_160)**2d0*coupl(nGC_176)*coupl(nGC_22) + 6d0* &
                       cima*coupl(nGC_164)*coupl(nGC_46) + 12d0*cima*coupl(    &
                       nGC_17)*coupl(nGC_18) + 9d0*cima*coupl(nGC_170)**2d0*   &
                       coupl(nGC_176)*coupl(nGC_22) + 4d0*cima*coupl(nGC_176)**&
                       2d0*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_176)*coupl( &
                       nGC_178)*coupl(nGC_20)*coupl(nGC_22) + 4d0*cima*coupl(  &
                       nGC_180)*coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_37) +   &
                       9d0*cima*coupl(nGC_184)*coupl(nGC_25)**2d0*coupl(nGC_37 &
                       ) - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_66)*coupl(   &
                       nGC_68) - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_70)*   &
                       coupl(nGC_72) - 16d0*cima*coupl(nGC_23)**2d0*coupl(     &
                       nGC_82)*coupl(nGC_84) + 18d0*coupl(nGC_160)**2d0*coupl( &
                       nGC_17) - 6d0*coupl(nGC_160)*coupl(nGC_176)*coupl(nGC_7 &
                       ) - 6d0*coupl(nGC_160)*coupl(nGC_22)*coupl(nGC_9) - 3d0*&
                       coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_37) + 18d0*coupl&
                       (nGC_17)*coupl(nGC_170)**2d0 + 6d0*coupl(nGC_17)*coupl( &
                       nGC_176)*coupl(nGC_22) + 3d0*coupl(nGC_17)*coupl(nGC_184&
                       )*coupl(nGC_37) - 6d0*coupl(nGC_170)*coupl(nGC_176)*    &
                       coupl(nGC_26) - 6d0*coupl(nGC_170)*coupl(nGC_22)*coupl( &
                       nGC_28) - 6d0*coupl(nGC_176)*coupl(nGC_18)*coupl(nGC_22 &
                       ) + 18d0*coupl(nGC_25)**2d0*coupl(nGC_46))/(96d0*pi**2d0&
                       )
      coupl(nGC_715) = coupl(nGC_336)*dZee_QED2 + coupl(nGC_337)*dsw_QED2 +    &
                       coupl(nGC_338)*dcw_QED2
      coupl(nGC_714) = coupl(nGC_448)*dZee_QED2 + coupl(nGC_449)*dsw_QED2
      coupl(nGC_1150) = -coupl(nGC_564)
      coupl(nGC_1156) = -coupl(nGC_533)
      coupl(nGC_1155) = -coupl(nGC_565)
      coupl(nGC_712) = coupl(nGC_431)*dZee_QED2
      coupl(nGC_1092) = coupl(nGC_68)*dZeMinusL_QED2/2d0 + coupl(nGC_68)*      &
                        dZeMinusR_QED2/2d0 + coupl(nGC_794)
      coupl(nGC_1093) = coupl(nGC_843) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1090) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_709)
      coupl(nGC_1091) = coupl(nGC_66)*dZeMinusL_QED2/2d0 + coupl(nGC_66)*      &
                        dZeMinusR_QED2/2d0 + coupl(nGC_795)
      coupl(nGC_719) = coupl(nGC_325)*dsw_QED2 + coupl(nGC_326)*dMW2_QED2 +    &
                       coupl(nGC_327)*dZee_QED2
      coupl(nGC_1094) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_752)
      coupl(nGC_942) = coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(nGC_61)*dZuL_QCD2/  &
                       2d0 + coupl(nGC_762)
      coupl(nGC_789) = coupl(nGC_400)*dyb_QED3
      coupl(nGC_549) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(    &
                       nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_650) = (-12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                       36d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) - 12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                       )**2d0 - 24d0*cima*coupl(nGC_160)**2d0*coupl(nGC_25)**  &
                       2d0 - 8d0*cima*coupl(nGC_160)**2d0*coupl(nGC_3)**2d0 -  &
                       16d0*cima*coupl(nGC_170)**2d0*coupl(nGC_25)**2d0 + 12d0*&
                       cima*coupl(nGC_172)**2d0 + 12d0*cima*coupl(nGC_19)**2d0 &
                        - 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 +    &
                       36d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41 &
                       ) - 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 +   &
                       3d0*coupl(nGC_160)**2d0*coupl(nGC_182) + 3d0*coupl(     &
                       nGC_160)**2d0*coupl(nGC_19) + 6d0*coupl(nGC_160)*coupl( &
                       nGC_164)*coupl(nGC_25) + 36d0*coupl(nGC_160)*coupl(     &
                       nGC_19)*coupl(nGC_25) + 6d0*coupl(nGC_160)*coupl(nGC_29 &
                       )*coupl(nGC_3) + 3d0*coupl(nGC_170)**2d0*coupl(nGC_19   &
                       ) + 36d0*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_25) +  &
                       3d0*coupl(nGC_18)*coupl(nGC_25)**2d0)/(96d0*pi**2d0)
      coupl(nGC_962) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_714)
      coupl(nGC_963) = -4d0*coupl(nGC_18)*dZWMinus_QED2 - 2d0*coupl(nGC_714)
      coupl(nGC_960) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_7)*dZZA_QED2/2d0 + coupl(nGC_737)
      coupl(nGC_961) = coupl(nGC_42)*dZA_QED2/2d0 + coupl(nGC_42)*dZZ_QED2/2d0 &
                        + coupl(nGC_45)*dZZA_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/&
                       2d0 + coupl(nGC_741)
      coupl(nGC_967) = coupl(nGC_44)*dZH_QED2/2d0 + coupl(nGC_725)
      coupl(nGC_964) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZcL_QED2/2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(    &
                       nGC_754)
      coupl(nGC_667) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_53)**2d0 -  &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_57)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_61)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_73)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_77)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_85)**2d0 +    &
                       12d0*cima*coupl(nGC_158)*coupl(nGC_6) + 9d0*cima*coupl( &
                       nGC_160)**2d0*coupl(nGC_176)*coupl(nGC_22) + 9d0*cima*  &
                       coupl(nGC_160)**2d0*coupl(nGC_178)*coupl(nGC_20) + 4d0* &
                       cima*coupl(nGC_162)**2d0*coupl(nGC_176)*coupl(nGC_22) + &
                       4d0*cima*coupl(nGC_162)**2d0*coupl(nGC_178)*coupl(nGC_20&
                       ) + 9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 +    &
                       18d0*cima*coupl(nGC_162)*coupl(nGC_174)*coupl(nGC_25)*  &
                       coupl(nGC_3) + 12d0*cima*coupl(nGC_164)*coupl(nGC_45) + &
                       24d0*cima*coupl(nGC_17)*coupl(nGC_18) + 9d0*cima*coupl( &
                       nGC_170)**2d0*coupl(nGC_176)*coupl(nGC_22) + 9d0*cima*  &
                       coupl(nGC_170)**2d0*coupl(nGC_178)*coupl(nGC_20) + 4d0* &
                       cima*coupl(nGC_174)**2d0*coupl(nGC_176)*coupl(nGC_22) + &
                       4d0*cima*coupl(nGC_174)**2d0*coupl(nGC_178)*coupl(nGC_20&
                       ) + 9d0*cima*coupl(nGC_174)**2d0*coupl(nGC_25)**2d0 +   &
                       4d0*cima*coupl(nGC_176)**2d0*coupl(nGC_178)*coupl(      &
                       nGC_180) + 4d0*cima*coupl(nGC_176)**2d0*coupl(nGC_180)**&
                       2d0 + 8d0*cima*coupl(nGC_176)**2d0*coupl(nGC_22)**2d0 + &
                       4d0*cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_20)*   &
                       coupl(nGC_21) + 4d0*cima*coupl(nGC_180)**2d0*coupl(     &
                       nGC_21)**2d0 + 4d0*cima*coupl(nGC_20)*coupl(nGC_21)*    &
                       coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_21)**2d0*coupl( &
                       nGC_22)**2d0 - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_65&
                       )**2d0 - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_69)**2d0&
                        - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_81)**2d0 + 9d0&
                       *cima*coupl(nGC_25)**2d0*coupl(nGC_40)**2d0 + 18d0*cima*&
                       coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_40) + &
                       24d0*cima*coupl(nGC_29)*coupl(nGC_42) + 9d0*cima*coupl( &
                       nGC_3)**2d0*coupl(nGC_4)**2d0 - 6d0*coupl(nGC_158)*coupl&
                       (nGC_4)**2d0 + 36d0*coupl(nGC_160)**2d0*coupl(nGC_17) - &
                       6d0*coupl(nGC_160)*coupl(nGC_176)*coupl(nGC_9) - 6d0*   &
                       coupl(nGC_160)*coupl(nGC_178)*coupl(nGC_8) - 6d0*coupl( &
                       nGC_160)*coupl(nGC_20)*coupl(nGC_8) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_22)*coupl(nGC_7) + 6d0*coupl(nGC_162)**2d0* &
                       coupl(nGC_17) - 12d0*coupl(nGC_162)*coupl(nGC_17)*coupl(&
                       nGC_3) - 6d0*coupl(nGC_164)*coupl(nGC_40)**2d0 + 36d0*  &
                       coupl(nGC_17)*coupl(nGC_170)**2d0 + 6d0*coupl(nGC_17)*  &
                       coupl(nGC_174)**2d0 - 12d0*coupl(nGC_17)*coupl(nGC_174)*&
                       coupl(nGC_25) + 6d0*coupl(nGC_17)*coupl(nGC_176)*coupl( &
                       nGC_22) + 6d0*coupl(nGC_17)*coupl(nGC_180)*coupl(nGC_21 &
                       ) - 12d0*coupl(nGC_17)*coupl(nGC_25)*coupl(nGC_40) -    &
                       12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_4) - 6d0*coupl&
                       (nGC_170)*coupl(nGC_176)*coupl(nGC_28) - 6d0*coupl(     &
                       nGC_170)*coupl(nGC_178)*coupl(nGC_27) - 6d0*coupl(      &
                       nGC_170)*coupl(nGC_20)*coupl(nGC_27) - 6d0*coupl(nGC_170&
                       )*coupl(nGC_22)*coupl(nGC_26) - 6d0*coupl(nGC_176)*coupl&
                       (nGC_18)*coupl(nGC_22) - 6d0*coupl(nGC_178)*coupl(nGC_18&
                       )*coupl(nGC_20) + 36d0*coupl(nGC_25)**2d0*coupl(nGC_45  &
                       ) + 72d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_42) - 12d0&
                       *coupl(nGC_29)*coupl(nGC_4)*coupl(nGC_40) + 36d0*coupl( &
                       nGC_3)**2d0*coupl(nGC_6))/(192d0*pi**2d0)
      coupl(nGC_1075) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_752)
      coupl(nGC_1071) = coupl(nGC_73)*dZcL_QED2/2d0 + coupl(nGC_73)*dZsR_QED2/ &
                        2d0 + coupl(nGC_767)
      coupl(nGC_1073) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_752)
      coupl(nGC_1078) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1079) = coupl(nGC_52)*dZH_QED2/2d0 + coupl(nGC_52)*dZZ_QED2 +  &
                        coupl(nGC_750)
      coupl(nGC_759) = coupl(nGC_364)*dZee_QED2 + coupl(nGC_365)*dsw_QED2 +    &
                       coupl(nGC_366)*dcw_QED2
      coupl(nGC_660) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_75 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_55  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_25) +   &
                       9d0*cima*coupl(nGC_160)*coupl(nGC_20)*coupl(nGC_25)*    &
                       coupl(nGC_40) + 9d0*cima*coupl(nGC_160)*coupl(nGC_20)*  &
                       coupl(nGC_3)*coupl(nGC_4) + 24d0*cima*coupl(nGC_172)*   &
                       coupl(nGC_27) + 4d0*cima*coupl(nGC_174)*coupl(nGC_178)* &
                       coupl(nGC_180)**2d0 + 4d0*cima*coupl(nGC_174)*coupl(    &
                       nGC_178)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_174)*  &
                       coupl(nGC_184)**2d0*coupl(nGC_20) + 4d0*cima*coupl(     &
                       nGC_174)*coupl(nGC_22)*coupl(nGC_37)*coupl(nGC_40) + 4d0&
                       *cima*coupl(nGC_176)*coupl(nGC_184)*coupl(nGC_20)*coupl(&
                       nGC_21) + 4d0*cima*coupl(nGC_176)*coupl(nGC_20)*coupl(  &
                       nGC_21)*coupl(nGC_37) + 24d0*cima*coupl(nGC_19)*coupl(  &
                       nGC_8) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(   &
                       nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83) - 16d0&
                       *cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*coupl(  &
                       nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(  &
                       nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(  &
                       nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*coupl(  &
                       nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67) - 16d0&
                       *cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)*coupl(  &
                       nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(  &
                       nGC_81)*coupl(nGC_83) - 6d0*coupl(nGC_160)*coupl(nGC_17 &
                       )*coupl(nGC_180) - 6d0*coupl(nGC_160)*coupl(nGC_17)*    &
                       coupl(nGC_20) - 6d0*coupl(nGC_160)*coupl(nGC_180)*coupl(&
                       nGC_45) - 6d0*coupl(nGC_160)*coupl(nGC_20)*coupl(nGC_46 &
                       ) + 36d0*coupl(nGC_160)*coupl(nGC_25)*coupl(nGC_8) +    &
                       36d0*coupl(nGC_160)*coupl(nGC_27)*coupl(nGC_3) - 6d0*   &
                       coupl(nGC_162)*coupl(nGC_172)*coupl(nGC_180) - 6d0*coupl&
                       (nGC_170)*coupl(nGC_180)*coupl(nGC_42) - 6d0*coupl(     &
                       nGC_174)*coupl(nGC_180)*coupl(nGC_19) + 6d0*coupl(      &
                       nGC_176)*coupl(nGC_21)*coupl(nGC_7) - 6d0*coupl(nGC_184 &
                       )*coupl(nGC_19)*coupl(nGC_22) - 6d0*coupl(nGC_184)*coupl&
                       (nGC_25)*coupl(nGC_7) + 6d0*coupl(nGC_20)*coupl(nGC_21)*&
                       coupl(nGC_8) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(   &
                       nGC_8) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_8) +   &
                       6d0*coupl(nGC_37)*coupl(nGC_40)*coupl(nGC_7))/(192d0*pi &
                       **2d0)
      coupl(nGC_753) = coupl(nGC_112)*dZgs_QCD2
      coupl(nGC_699) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl&
                       (nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                       sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**  &
                       2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2**2d0)/(&
                       192d0*pi**2d0)
      coupl(nGC_504) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                       nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(  &
                       nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(  &
                       nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(  &
                       nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 - &
                       4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(  &
                       nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(  &
                       nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 + &
                       coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_174)**2d0* &
                       coupl(nGC_4) - 6d0*coupl(nGC_176)*coupl(nGC_22)*coupl(  &
                       nGC_3) - 6d0*coupl(nGC_178)*coupl(nGC_20)*coupl(nGC_3   &
                       ) + 4d0*coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(    &
                       nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(     &
                       nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_507) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*  &
                       cMC*coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl( &
                       nGC_1)**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0&
                       *coupl(nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(    &
                       nGC_79) - 8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) -  &
                       8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(&
                       nGC_4)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0* &
                       coupl(nGC_83) + 4d0*cima*coupl(nGC_158)*coupl(nGC_50) + &
                       6d0*coupl(nGC_170)**2d0*coupl(nGC_50) - coupl(nGC_170)* &
                       coupl(nGC_178)*coupl(nGC_51) - coupl(nGC_170)*coupl(    &
                       nGC_20)*coupl(nGC_51) - coupl(nGC_180)*coupl(nGC_3)*    &
                       coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_3)*coupl(nGC_51 &
                       ) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_971) = -coupl(nGC_4)*dZAZ_QED2/2d0 - coupl(nGC_40)*dZZ_QED2/2d0&
                        - coupl(nGC_743)
      coupl(nGC_867) = coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_47)*dZZ_QED2&
                       /2d0 + coupl(nGC_51)*dZAZ_QED2/2d0 + coupl(nGC_746)
      coupl(nGC_973) = -coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZA_QED2 +  &
                       coupl(nGC_5)*dZWMinus_QED2 + coupl(nGC_712)
      coupl(nGC_529) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc* &
                       cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc* &
                       cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl(&
                       nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*  &
                       coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)**&
                       2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl(&
                       nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                       nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) - &
                       8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS&
                       *coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*&
                       coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(    &
                       nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*  &
                       coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)**&
                       2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl(&
                       nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                       nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) - &
                       8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl&
                       (nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(   &
                       nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0*&
                       coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*    &
                       coupl(nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71 &
                       ) - 8d0*cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA&
                       *coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*  &
                       coupl(nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(      &
                       nGC_164)*coupl(nGC_50) + 6d0*coupl(nGC_160)**2d0*coupl( &
                       nGC_50) - coupl(nGC_160)*coupl(nGC_178)*coupl(nGC_47) - &
                       coupl(nGC_160)*coupl(nGC_20)*coupl(nGC_47) - coupl(     &
                       nGC_180)*coupl(nGC_25)*coupl(nGC_47) - coupl(nGC_21)*   &
                       coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)**2d0*   &
                       coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_974) = coupl(nGC_29)*dZZA_QED2 - 2d0*coupl(nGC_5)*dZA_QED2 -   &
                       2d0*coupl(nGC_5)*dZWMinus_QED2 - 2d0*coupl(nGC_712)
      coupl(nGC_560) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc* &
                       cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl(&
                       nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)** &
                       2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl(&
                       nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) - &
                       4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl&
                       (nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**  &
                       2d0*coupl(nGC_83) + 2d0*cima*coupl(nGC_164)*coupl(nGC_52&
                       ) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) + 6d0*coupl(   &
                       nGC_160)**2d0*coupl(nGC_50) - coupl(nGC_160)*coupl(     &
                       nGC_180)*coupl(nGC_47) - coupl(nGC_160)*coupl(nGC_21)*  &
                       coupl(nGC_47) + 6d0*coupl(nGC_170)**2d0*coupl(nGC_50) - &
                       coupl(nGC_170)*coupl(nGC_180)*coupl(nGC_51) - coupl(    &
                       nGC_170)*coupl(nGC_21)*coupl(nGC_51) + 6d0*coupl(nGC_25 &
                       )**2d0*coupl(nGC_52))/(32d0*pi**2d0)
      coupl(nGC_1147) = -coupl(nGC_504)
      coupl(nGC_1148) = -coupl(nGC_562)
      coupl(nGC_952) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZuL_QCD2 +  &
                       coupl(nGC_753)
      coupl(nGC_928) = coupl(nGC_11)*dZdL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_753)
      coupl(nGC_954) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZuR_QCD2 +  &
                       coupl(nGC_753)
      coupl(nGC_1104) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtL_QCD2 + &
                        coupl(nGC_753)
      coupl(nGC_1106) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtR_QCD2 + &
                        coupl(nGC_753)
      coupl(nGC_935) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsL_QCD2 +  &
                       coupl(nGC_753)
      coupl(nGC_934) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_720)
      coupl(nGC_937) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsR_QCD2 +  &
                       coupl(nGC_753)
      coupl(nGC_1062) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_40)*dZeMinusL_QED2 + coupl(nGC_743)
      coupl(nGC_1100) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_726) + coupl(   &
                        nGC_HHHH)
      coupl(nGC_930) = coupl(nGC_11)*dZdR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_753)
      coupl(nGC_933) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_744) + coupl(   &
                       nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
      coupl(nGC_862) = -coupl(nGC_19)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2/2d0 + &
                       coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2/2d0&
                        - coupl(nGC_5)*dZAZ_QED2 + coupl(nGC_715)
      coupl(nGC_1040) = coupl(nGC_46)*dZZ_QED2 + coupl(nGC_748)
      coupl(nGC_1044) = coupl(nGC_816) + coupl(nGC_87)*dZuL_QCD2/2d0 + coupl(  &
                        nGC_87)*dZuR_QCD2/2d0
      coupl(nGC_874) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_732) + coupl(nGC_9)*dZZA_QED2/2d0
      coupl(nGC_476) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB** &
                       2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                       (nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 &
                        + 2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD &
                       **2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                       coupl(nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38  &
                       )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0* &
                       Nc*cMT**2d0*cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                       nGC_39)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_36)**2d0 +   &
                       2d0*cME**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima&
                       *coupl(nGC_36)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_40)** &
                       2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cMTA**&
                       2d0*cima*coupl(nGC_40)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                       nGC_160)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 -  &
                       2d0*cMW**2d0*coupl(nGC_164))/(16d0*pi**2d0)
      coupl(nGC_897) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_745) + coupl(   &
                       nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 +  &
                       coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_1101) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_743)
      coupl(nGC_655) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 -  &
                       32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 +    &
                       40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55)**&
                       2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(   &
                       nGC_63)**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*&
                       coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(  &
                       nGC_39)*coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*&
                       coupl(nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl(  &
                       nGC_35)*coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*&
                       coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 + 9d0*cima*coupl( &
                       nGC_160)**2d0*coupl(nGC_178)*coupl(nGC_20) + 12d0*cima* &
                       coupl(nGC_164)*coupl(nGC_17) + 4d0*cima*coupl(nGC_174)**&
                       2d0*coupl(nGC_178)*coupl(nGC_20) + 9d0*cima*coupl(      &
                       nGC_180)*coupl(nGC_21)*coupl(nGC_25)**2d0 + 4d0*cima*   &
                       coupl(nGC_180)*coupl(nGC_21)*coupl(nGC_40)**2d0 + 4d0*  &
                       cima*coupl(nGC_184)**2d0*coupl(nGC_37)**2d0 - 32d0*cima*&
                       coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl(&
                       nGC_36)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_36&
                       )**2d0*coupl(nGC_83)**2d0 + 40d0*cima*coupl(nGC_36)*    &
                       coupl(nGC_40)*coupl(nGC_67)**2d0 + 40d0*cima*coupl(     &
                       nGC_36)*coupl(nGC_40)*coupl(nGC_71)**2d0 + 40d0*cima*   &
                       coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83)**2d0 - 32d0*  &
                       cima*coupl(nGC_40)**2d0*coupl(nGC_67)**2d0 - 32d0*cima* &
                       coupl(nGC_40)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(&
                       nGC_40)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(nGC_160)** &
                       2d0*coupl(nGC_17) - 6d0*coupl(nGC_160)*coupl(nGC_178)*  &
                       coupl(nGC_8) - 6d0*coupl(nGC_160)*coupl(nGC_20)*coupl(  &
                       nGC_8) - 3d0*coupl(nGC_164)*coupl(nGC_178)*coupl(nGC_20 &
                       ) - 3d0*coupl(nGC_164)*coupl(nGC_180)*coupl(nGC_21) +   &
                       18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 + 3d0*coupl(      &
                       nGC_178)*coupl(nGC_20)*coupl(nGC_45) + 3d0*coupl(nGC_180&
                       )*coupl(nGC_21)*coupl(nGC_45) - 6d0*coupl(nGC_180)*coupl&
                       (nGC_25)*coupl(nGC_8) + 3d0*coupl(nGC_184)*coupl(nGC_37 &
                       )*coupl(nGC_46) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl(&
                       nGC_8))/(96d0*pi**2d0)
      coupl(nGC_656) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(  &
                       nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62)*&
                       coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(  &
                       nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*coupl&
                       (nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*cima*    &
                       coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64  &
                       ) + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(     &
                       nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_35)**2d0*&
                       coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_35 &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(&
                       nGC_35)**2d0*coupl(nGC_86)*coupl(nGC_88) + 40d0*Nc*cima*&
                       coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60  &
                       ) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(     &
                       nGC_78)*coupl(nGC_80) + 40d0*Nc*cima*coupl(nGC_35)*coupl&
                       (nGC_39)*coupl(nGC_86)*coupl(nGC_88) - 32d0*Nc*cima*    &
                       coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(nGC_56) - 32d0*Nc&
                       *cima*coupl(nGC_38)**2d0*coupl(nGC_62)*coupl(nGC_64) -  &
                       32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_74)*coupl(    &
                       nGC_76) - 32d0*Nc*cima*coupl(nGC_39)**2d0*coupl(nGC_58)*&
                       coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_39)**2d0*coupl(  &
                       nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(nGC_39)**2d0*&
                       coupl(nGC_86)*coupl(nGC_88) + 9d0*cima*coupl(nGC_160)** &
                       2d0*coupl(nGC_176)*coupl(nGC_22) + 12d0*cima*coupl(     &
                       nGC_164)*coupl(nGC_17) + 4d0*cima*coupl(nGC_174)**2d0*  &
                       coupl(nGC_176)*coupl(nGC_22) + 9d0*cima*coupl(nGC_176)* &
                       coupl(nGC_22)*coupl(nGC_25)**2d0 + 4d0*cima*coupl(      &
                       nGC_176)*coupl(nGC_22)*coupl(nGC_40)**2d0 + 4d0*cima*   &
                       coupl(nGC_184)**2d0*coupl(nGC_37)**2d0 - 32d0*cima*coupl&
                       (nGC_36)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*cima*  &
                       coupl(nGC_36)**2d0*coupl(nGC_70)*coupl(nGC_72) - 32d0*  &
                       cima*coupl(nGC_36)**2d0*coupl(nGC_82)*coupl(nGC_84) +   &
                       40d0*cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_66)*    &
                       coupl(nGC_68) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)*  &
                       coupl(nGC_70)*coupl(nGC_72) + 40d0*cima*coupl(nGC_36)*  &
                       coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 32d0*cima*  &
                       coupl(nGC_40)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*  &
                       cima*coupl(nGC_40)**2d0*coupl(nGC_70)*coupl(nGC_72) -   &
                       32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_82)*coupl(nGC_84 &
                       ) + 18d0*coupl(nGC_160)**2d0*coupl(nGC_17) - 6d0*coupl( &
                       nGC_160)*coupl(nGC_176)*coupl(nGC_9) - 6d0*coupl(nGC_160&
                       )*coupl(nGC_22)*coupl(nGC_7) - 6d0*coupl(nGC_164)*coupl(&
                       nGC_176)*coupl(nGC_22) + 18d0*coupl(nGC_17)*coupl(nGC_25&
                       )**2d0 + 6d0*coupl(nGC_176)*coupl(nGC_22)*coupl(nGC_45  &
                       ) - 6d0*coupl(nGC_176)*coupl(nGC_25)*coupl(nGC_7) + 3d0*&
                       coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_46) - 6d0*coupl( &
                       nGC_22)*coupl(nGC_25)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_651) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -   &
                       30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                       )**2d0 - 16d0*cima*coupl(nGC_160)**2d0*coupl(nGC_25)**  &
                       2d0 - 8d0*cima*coupl(nGC_160)**2d0*coupl(nGC_3)**2d0 +  &
                       6d0*cima*coupl(nGC_164)*coupl(nGC_18) - 8d0*cima*coupl( &
                       nGC_170)**2d0*coupl(nGC_25)**2d0 + 18d0*cima*coupl(     &
                       nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl(nGC_23&
                       )**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima*coupl(   &
                       nGC_23)**2d0*coupl(nGC_41)**2d0 + 9d0*coupl(nGC_160)**  &
                       2d0*coupl(nGC_164) + 9d0*coupl(nGC_160)**2d0*coupl(     &
                       nGC_18) + 3d0*coupl(nGC_160)*coupl(nGC_172)*coupl(nGC_3 &
                       ) + 6d0*coupl(nGC_160)*coupl(nGC_19)*coupl(nGC_25) + 9d0&
                       *coupl(nGC_164)*coupl(nGC_170)**2d0 + 3d0*coupl(nGC_170 &
                       )*coupl(nGC_172)*coupl(nGC_25) + 9d0*coupl(nGC_18)*coupl&
                       (nGC_25)**2d0)/(48d0*pi**2d0)
      coupl(nGC_652) = (-12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +  &
                       36d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) - 12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                       )**2d0 - 24d0*cima*coupl(nGC_160)**2d0*coupl(nGC_25)**  &
                       2d0 - 16d0*cima*coupl(nGC_160)**2d0*coupl(nGC_3)**2d0 - &
                       8d0*cima*coupl(nGC_170)**2d0*coupl(nGC_25)**2d0 + 12d0* &
                       cima*coupl(nGC_172)**2d0 + 12d0*cima*coupl(nGC_19)**2d0 &
                        - 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 +    &
                       36d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41 &
                       ) - 12d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 +   &
                       3d0*coupl(nGC_160)**2d0*coupl(nGC_18) + 3d0*coupl(      &
                       nGC_160)**2d0*coupl(nGC_19) + 6d0*coupl(nGC_160)*coupl( &
                       nGC_164)*coupl(nGC_25) + 36d0*coupl(nGC_160)*coupl(     &
                       nGC_172)*coupl(nGC_3) + 36d0*coupl(nGC_160)*coupl(nGC_19&
                       )*coupl(nGC_25) + 3d0*coupl(nGC_170)**2d0*coupl(nGC_19  &
                       ) + 6d0*coupl(nGC_170)*coupl(nGC_25)*coupl(nGC_29) + 3d0&
                       *coupl(nGC_182)*coupl(nGC_25)**2d0)/(96d0*pi**2d0)
      coupl(nGC_875) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_736)
      coupl(nGC_921) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*dZnu_eL_QED2 &
                        + coupl(nGC_759)
      coupl(nGC_658) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 -  &
                       32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 +    &
                       40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53)**&
                       2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(   &
                       nGC_61)**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*&
                       coupl(nGC_73)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_57)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_77)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(  &
                       nGC_38)*coupl(nGC_57)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*&
                       coupl(nGC_38)*coupl(nGC_77)**2d0 + 40d0*Nc*cima*coupl(  &
                       nGC_35)*coupl(nGC_38)*coupl(nGC_85)**2d0 - 32d0*Nc*cima*&
                       coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_53)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 + 9d0*cima*coupl( &
                       nGC_160)**2d0*coupl(nGC_176)*coupl(nGC_22) + 9d0*cima*  &
                       coupl(nGC_160)**2d0*coupl(nGC_180)*coupl(nGC_21) + 4d0* &
                       cima*coupl(nGC_162)**2d0*coupl(nGC_40)**2d0 + 24d0*cima*&
                       coupl(nGC_164)*coupl(nGC_17) + 4d0*cima*coupl(nGC_174)**&
                       2d0*coupl(nGC_4)**2d0 + 8d0*cima*coupl(nGC_174)**2d0*   &
                       coupl(nGC_40)**2d0 + 8d0*cima*coupl(nGC_176)*coupl(     &
                       nGC_184)*coupl(nGC_22)*coupl(nGC_37) + 9d0*cima*coupl(  &
                       nGC_176)*coupl(nGC_22)*coupl(nGC_25)**2d0 + 4d0*cima*   &
                       coupl(nGC_178)*coupl(nGC_184)*coupl(nGC_20)*coupl(nGC_37&
                       ) + 9d0*cima*coupl(nGC_178)*coupl(nGC_20)*coupl(nGC_25  &
                       )**2d0 + 4d0*cima*coupl(nGC_180)*coupl(nGC_184)*coupl(  &
                       nGC_21)*coupl(nGC_37) - 32d0*cima*coupl(nGC_36)**2d0*   &
                       coupl(nGC_65)**2d0 - 32d0*cima*coupl(nGC_36)**2d0*coupl(&
                       nGC_69)**2d0 - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_81&
                       )**2d0 + 40d0*cima*coupl(nGC_36)*coupl(nGC_41)*coupl(   &
                       nGC_65)**2d0 + 40d0*cima*coupl(nGC_36)*coupl(nGC_41)*   &
                       coupl(nGC_69)**2d0 + 40d0*cima*coupl(nGC_36)*coupl(     &
                       nGC_41)*coupl(nGC_81)**2d0 - 32d0*cima*coupl(nGC_41)**  &
                       2d0*coupl(nGC_65)**2d0 - 32d0*cima*coupl(nGC_41)**2d0*  &
                       coupl(nGC_69)**2d0 - 32d0*cima*coupl(nGC_41)**2d0*coupl(&
                       nGC_81)**2d0 + 36d0*coupl(nGC_160)**2d0*coupl(nGC_17) - &
                       6d0*coupl(nGC_160)*coupl(nGC_176)*coupl(nGC_7) - 6d0*   &
                       coupl(nGC_160)*coupl(nGC_180)*coupl(nGC_8) - 6d0*coupl( &
                       nGC_160)*coupl(nGC_21)*coupl(nGC_8) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_22)*coupl(nGC_9) + 6d0*coupl(nGC_162)**2d0* &
                       coupl(nGC_45) - 6d0*coupl(nGC_164)*coupl(nGC_176)*coupl(&
                       nGC_22) - 6d0*coupl(nGC_164)*coupl(nGC_178)*coupl(nGC_20&
                       ) + 36d0*coupl(nGC_17)*coupl(nGC_25)**2d0 + 6d0*coupl(  &
                       nGC_174)**2d0*coupl(nGC_45) + 6d0*coupl(nGC_176)*coupl( &
                       nGC_22)*coupl(nGC_46) - 6d0*coupl(nGC_176)*coupl(nGC_25 &
                       )*coupl(nGC_9) - 6d0*coupl(nGC_178)*coupl(nGC_25)*coupl(&
                       nGC_8) + 6d0*coupl(nGC_180)*coupl(nGC_21)*coupl(nGC_46  &
                       ) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0* &
                       coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_7))/(192d0*pi**2d0&
                       )
      coupl(nGC_1153) = -coupl(nGC_534)
      coupl(nGC_1152) = -coupl(nGC_580)
      coupl(nGC_1098) = coupl(nGC_55)*dZH_QED2/2d0 + coupl(nGC_55)*dZbL_QED2/  &
                        2d0 + coupl(nGC_55)*dZbR_QED2/2d0 + coupl(nGC_789)
      coupl(nGC_635) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                       nGC_38) + 18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                       coupl(nGC_39) + 18d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                       )**2d0*coupl(nGC_38) - 12d0*Nc*cima*coupl(nGC_2)*coupl( &
                       nGC_23)**2d0*coupl(nGC_39) - 16d0*cima*coupl(nGC_160)** &
                       2d0*coupl(nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_160 &
                       )*coupl(nGC_170)*coupl(nGC_25)**2d0 - 8d0*cima*coupl(   &
                       nGC_160)*coupl(nGC_170)*coupl(nGC_3)**2d0 - 16d0*cima*  &
                       coupl(nGC_170)**2d0*coupl(nGC_25)*coupl(nGC_3) + 12d0*  &
                       cima*coupl(nGC_172)*coupl(nGC_19) + 12d0*cima*coupl(    &
                       nGC_172)*coupl(nGC_5) - 12d0*cima*coupl(nGC_23)**2d0*   &
                       coupl(nGC_4)*coupl(nGC_40) + 18d0*cima*coupl(nGC_23)**  &
                       2d0*coupl(nGC_4)*coupl(nGC_41) + 3d0*coupl(nGC_158)*    &
                       coupl(nGC_160)*coupl(nGC_3) + 3d0*coupl(nGC_160)**2d0*  &
                       coupl(nGC_172) + 3d0*coupl(nGC_160)*coupl(nGC_170)*coupl&
                       (nGC_182) + 18d0*coupl(nGC_160)*coupl(nGC_172)*coupl(   &
                       nGC_25) + 18d0*coupl(nGC_160)*coupl(nGC_19)*coupl(nGC_3 &
                       ) + 3d0*coupl(nGC_160)*coupl(nGC_25)*coupl(nGC_29) + 3d0&
                       *coupl(nGC_164)*coupl(nGC_170)*coupl(nGC_25) + 3d0*coupl&
                       (nGC_170)**2d0*coupl(nGC_172) + 18d0*coupl(nGC_170)*    &
                       coupl(nGC_172)*coupl(nGC_3) + 18d0*coupl(nGC_170)*coupl(&
                       nGC_25)*coupl(nGC_5) + 3d0*coupl(nGC_170)*coupl(nGC_29)*&
                       coupl(nGC_3) + 3d0*coupl(nGC_18)*coupl(nGC_25)*coupl(   &
                       nGC_3))/(96d0*pi**2d0)
      coupl(nGC_863) = coupl(nGC_19)*dZZA_QED2/2d0 - coupl(nGC_29)*dZA_QED2/4d0&
                        - coupl(nGC_29)*dZWMinus_QED2/2d0 - coupl(nGC_29)*     &
                       dZZ_QED2/4d0 + coupl(nGC_5)*dZAZ_QED2/2d0 - coupl(      &
                       nGC_715)/2d0
      coupl(nGC_1022) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*            &
                        dZnu_muL_QED2 + coupl(nGC_759)
      coupl(nGC_1154) = -coupl(nGC_561)
      coupl(nGC_671) = (36d0*Nc*cima*coupl(nGC_23)**4d0 + 6d0*cima*coupl(      &
                       nGC_158)**2d0 - 16d0*cima*coupl(nGC_160)**4d0 - 32d0*   &
                       cima*coupl(nGC_160)**2d0*coupl(nGC_170)**2d0 - 24d0*cima&
                       *coupl(nGC_160)**2d0*coupl(nGC_25)**2d0 - 48d0*cima*    &
                       coupl(nGC_160)*coupl(nGC_170)*coupl(nGC_25)*coupl(nGC_3 &
                       ) + 6d0*cima*coupl(nGC_164)**2d0 - 16d0*cima*coupl(     &
                       nGC_170)**4d0 - 24d0*cima*coupl(nGC_170)**2d0*coupl(    &
                       nGC_3)**2d0 + 12d0*cima*coupl(nGC_18)**2d0 + 36d0*cima* &
                       coupl(nGC_23)**4d0 - 16d0*cima*coupl(nGC_25)**4d0 - 32d0&
                       *cima*coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0*cima* &
                       coupl(nGC_29)**2d0 - 16d0*cima*coupl(nGC_3)**4d0 + 18d0*&
                       coupl(nGC_158)*coupl(nGC_170)**2d0 + 18d0*coupl(nGC_158 &
                       )*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_160)**2d0*coupl(   &
                       nGC_164) + 21d0*coupl(nGC_160)**2d0*coupl(nGC_18) + 3d0*&
                       coupl(nGC_160)**2d0*coupl(nGC_19) + 6d0*coupl(nGC_160)* &
                       coupl(nGC_170)*coupl(nGC_172) + 36d0*coupl(nGC_160)*    &
                       coupl(nGC_170)*coupl(nGC_29) + 6d0*coupl(nGC_160)*coupl(&
                       nGC_18)*coupl(nGC_25) + 18d0*coupl(nGC_164)*coupl(nGC_25&
                       )**2d0 + 21d0*coupl(nGC_170)**2d0*coupl(nGC_18) + 3d0*  &
                       coupl(nGC_170)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_170)*  &
                       coupl(nGC_18)*coupl(nGC_3) + 6d0*coupl(nGC_172)*coupl(  &
                       nGC_25)*coupl(nGC_3) + 21d0*coupl(nGC_18)*coupl(nGC_25  &
                       )**2d0 + 21d0*coupl(nGC_18)*coupl(nGC_3)**2d0 + 3d0*    &
                       coupl(nGC_19)*coupl(nGC_25)**2d0 + 36d0*coupl(nGC_25)*  &
                       coupl(nGC_29)*coupl(nGC_3) + 3d0*coupl(nGC_3)**2d0*coupl&
                       (nGC_5))/(96d0*pi**2d0)
      coupl(nGC_639) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 6d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 6d0*Nc*  &
                       cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 6d0*Nc*cima*&
                       coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 + 6d0*cima*coupl(  &
                       nGC_158)*coupl(nGC_164) - 20d0*cima*coupl(nGC_160)**2d0*&
                       coupl(nGC_170)**2d0 - 20d0*cima*coupl(nGC_25)**2d0*coupl&
                       (nGC_3)**2d0 + 6d0*cima*coupl(nGC_36)**2d0*coupl(nGC_4  &
                       )**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**2d0  &
                        + 9d0*coupl(nGC_158)*coupl(nGC_160)**2d0 + 9d0*coupl(  &
                       nGC_158)*coupl(nGC_25)**2d0 + 6d0*coupl(nGC_160)*coupl( &
                       nGC_170)*coupl(nGC_172) + 9d0*coupl(nGC_164)*coupl(     &
                       nGC_170)**2d0 + 9d0*coupl(nGC_164)*coupl(nGC_3)**2d0 +  &
                       6d0*coupl(nGC_172)*coupl(nGC_25)*coupl(nGC_3))/(48d0*pi &
                       **2d0)
      coupl(nGC_876) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0 &
                        + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_733) +   &
                       coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_1131) = -coupl(nGC_21)*dZH_QED2/2d0 - coupl(nGC_21)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_736)
      coupl(nGC_904) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_735)
      coupl(nGC_872) = coupl(nGC_42)*dZAZ_QED2 + coupl(nGC_45)*dZZ_QED2 + coupl&
                       (nGC_749)
      coupl(nGC_457) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC** &
                       2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 &
                        + 2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(&
                       nGC_23)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 +   &
                       2d0*cMTA**2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*   &
                       cima*coupl(nGC_160)**2d0 + 3d0*cMW**2d0*cima*coupl(     &
                       nGC_170)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +  &
                       3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 4d0*cMW**2d0*coupl&
                       (nGC_18) + 3d0*cMZ**2d0*cima*coupl(nGC_160)**2d0 + 3d0* &
                       cMZ**2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(  &
                       nGC_164))/(32d0*pi**2d0)
      coupl(nGC_1038) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_738)
      coupl(nGC_888) = coupl(nGC_11)*dZbL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_753)
      coupl(nGC_883) = coupl(nGC_11)*dZcR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_753)
      coupl(nGC_881) = coupl(nGC_11)*dZcL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_753)
      coupl(nGC_1032) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_40)*dZtauMinusL_QED2 + coupl(nGC_743)
      coupl(nGC_1033) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*            &
                        dZtauMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl( &
                        nGC_760)
      coupl(nGC_1036) = -coupl(nGC_10)*dZg_QCD2/2d0 - coupl(nGC_709)
      coupl(nGC_866) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_7)*dZZ_QED2/2d0 + coupl(nGC_747)
      coupl(nGC_966) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*             &
                       dZnu_tauL_QED2 + coupl(nGC_759)
      coupl(nGC_645) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc*  &
                       cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*coupl&
                       (nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(nGC_2)*  &
                       coupl(nGC_39)**3d0 - 20d0*cima*coupl(nGC_160)**3d0*coupl&
                       (nGC_170) + 6d0*cima*coupl(nGC_164)*coupl(nGC_29) - 20d0&
                       *cima*coupl(nGC_25)**3d0*coupl(nGC_3) + 6d0*cima*coupl( &
                       nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*coupl(nGC_4)*coupl(&
                       nGC_40)**3d0 + 3d0*coupl(nGC_160)**2d0*coupl(nGC_172) + &
                       9d0*coupl(nGC_160)**2d0*coupl(nGC_29) + 9d0*coupl(      &
                       nGC_160)*coupl(nGC_164)*coupl(nGC_170) + 3d0*coupl(     &
                       nGC_160)*coupl(nGC_170)*coupl(nGC_19) + 9d0*coupl(      &
                       nGC_164)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_172 &
                       )*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_19)*coupl(nGC_25)* &
                       coupl(nGC_3) + 9d0*coupl(nGC_25)**2d0*coupl(nGC_29))/(  &
                       48d0*pi**2d0)
      coupl(nGC_1048) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_46)*dZZ_QED2 + coupl&
                        (nGC_748)
      coupl(nGC_890) = coupl(nGC_11)*dZbR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 +  &
                       coupl(nGC_753)
      coupl(nGC_637) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(   &
                       nGC_38) + 18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                       coupl(nGC_39) + 18d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                       )**2d0*coupl(nGC_38) - 12d0*Nc*cima*coupl(nGC_2)*coupl( &
                       nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_160)**  &
                       2d0*coupl(nGC_25)*coupl(nGC_3) - 16d0*cima*coupl(nGC_160&
                       )*coupl(nGC_170)*coupl(nGC_25)**2d0 - 16d0*cima*coupl(  &
                       nGC_160)*coupl(nGC_170)*coupl(nGC_3)**2d0 - 8d0*cima*   &
                       coupl(nGC_170)**2d0*coupl(nGC_25)*coupl(nGC_3) + 12d0*  &
                       cima*coupl(nGC_172)*coupl(nGC_19) + 12d0*cima*coupl(    &
                       nGC_172)*coupl(nGC_5) - 12d0*cima*coupl(nGC_23)**2d0*   &
                       coupl(nGC_4)*coupl(nGC_40) + 18d0*cima*coupl(nGC_23)**  &
                       2d0*coupl(nGC_4)*coupl(nGC_41) + 3d0*coupl(nGC_158)*    &
                       coupl(nGC_170)*coupl(nGC_25) + 3d0*coupl(nGC_160)**2d0* &
                       coupl(nGC_172) + 3d0*coupl(nGC_160)*coupl(nGC_164)*coupl&
                       (nGC_3) + 3d0*coupl(nGC_160)*coupl(nGC_170)*coupl(nGC_18&
                       ) + 18d0*coupl(nGC_160)*coupl(nGC_172)*coupl(nGC_25) +  &
                       3d0*coupl(nGC_160)*coupl(nGC_25)*coupl(nGC_29) + 18d0*  &
                       coupl(nGC_160)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(   &
                       nGC_170)**2d0*coupl(nGC_172) + 18d0*coupl(nGC_170)*coupl&
                       (nGC_172)*coupl(nGC_3) + 18d0*coupl(nGC_170)*coupl(     &
                       nGC_19)*coupl(nGC_25) + 3d0*coupl(nGC_170)*coupl(nGC_29 &
                       )*coupl(nGC_3) + 3d0*coupl(nGC_182)*coupl(nGC_25)*coupl(&
                       nGC_3))/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
